local InFlight = CreateFrame("Frame", "InFlight")  -- no parent is intentional
local self = InFlight
InFlight:SetScript("OnEvent", function(this, event, ...) this[event](this, ...) end)
InFlight:RegisterEvent("ADDON_LOADED")

local gl = GetLocale()
local HandyNotes, Cartographer_Notes = HandyNotes, Cartographer_Notes
local UpdateTaxiIcons

local function LoadInFlight()
	if not InFlight.ShowOptions then
		LoadAddOn("InFlight")
	end
	return (InFlight.ShowOptions and true) or nil
end
----------------------------------
function InFlight:ADDON_LOADED(a1)
----------------------------------
	if a1 == "InFlight_Load" then
		self:RegisterEvent("TAXIMAP_OPENED")
		if self.SetupInFlight then
			self:SetupInFlight()
		else
			self:UnregisterEvent("ADDON_LOADED")
		end
		if UpdateTaxiIcons then
			if IsLoggedIn() then
				self:PLAYER_LOGIN()
			else
				self:RegisterEvent("PLAYER_LOGIN")
			end
		end
	elseif a1 == "InFlight" then
		self:UnregisterEvent("ADDON_LOADED")
		self:LoadBulk()
	end
end
-----------------------------------------
function InFlight:TAXIMAP_OPENED(_, misc)
-----------------------------------------
	if LoadInFlight() and not misc then
		self:InitSource()
	end
	if UpdateTaxiIcons then  -- add notes if not present
		UpdateTaxiIcons(misc)
	end
end


if select(4, GetAddOnInfo("InFlight")) then  -- maybe this stuff gets garbage collected if InFlight isn't loadable
	local t
	do
	-- LOCALIZATION
	local nighthaven = "Nighthaven"					--Nighthaven, Moonglade
	local druidgossip = "I'd like to fly to (.+)."	--Druid gossip option
	local expedition = "Expedition Point"			--Expedition Point
	local hellfire = "Hellfire Peninsula"			--Another for Shatter Point (aka Honor Point)
	local shatter = "Shatter Point"
	local honorpoint = "Honor Point"
	local hellgossip = "Send me to (.+)!"			--Hellfire special flightpath gossip option (Alliance)
	local skyguard = "Skyguard Outpost"
	local blackwind = "Blackwind Landing"
	local sssa = "Shattered Sun Staging Area"		-- Shattered Sun Offensive bombing run
	local srharbor = "Sun's Reach Harbor"
	local sssagossip = "Speaking of action"			-- shattered sun gossip air strike gossip
	local sssagossip2 = "I need to intercept"		-- dawnblade reinforcements gossip
	local thesinloren = "The Sin'loren"				-- The Sin'loren dragonhawk
	local sinlorengossip = "<Ride the dragonhawk"	-- The Sin'loren gossip
	local swcity = "Stormwind City"
	local swharborscenic = "flight around Stormwind Harbor"  -- flight tour around Stormwind Harbor
	local cavernsoftime = "Caverns of Time"
	local cavernsentrance = "Please take me"		-- dragon flight at Caverns of Time entrance
	local oldhillsbrad = "Old Hillsbrad Foothills"
	local oldhillsbradgossip = "I'm ready to go"
	local durnholdekeep = "Durnholde Keep"
	local amberledge = "Amber Ledge"
	local transitusshield = "Transitus Shield (Scenic)"  -- gossip flightpath, long way
	local amberledgegossip = "I'd like passage"
	local valgarde = "Valgarde"								-- Valgarde to Explorer's League Outpost
	local explorersleague = "Explorers' League Outpost"
	local valgardegossip = "Take me to the Explorers"
	local argenttournament = "Argent Tournament Grounds"	-- "Get Kraken" daily quest
	local argenttournamentgossip = "Mount the Hippogryph"
	local fin = "Return"
	local ashenvalesaber = "one of your nightsabers to (.+)."
	local astranaar, maestrapost = "Astranaar", "Maestra's Post"
	local darkshoregossip = "like to travel to (.+)."
	local lordanei, ruinsofmathystra, shatterspearvale, bashalaran = "Lor'danei", "Ruins of Mathystra", "Shatterspear Vale", "Bashal'Aran"
	local feralasgossip1, feralasgossip2 = "Take me to the battle", "I must return to"
	local feathermoonstronghold, ruinsoffeathermoon = "Feathermoon Stronghold", "Ruins of Feathermoon"
	local terrorwinggossip = "head down to the Swamp of Sorrows"
	local terrorwing, bogpaddle = "Terror Wing Path", "Bogpaddle"

	if gl == "koKR" then
		nighthaven = "나이트헤이븐"
		druidgossip = "(.+)|1으로;로; 가고 싶습니다."
		expedition = "원정대 거점"
		hellfire = "지옥불 반도"
		shatter = "징검다리 거점"
		honorpoint = "명예 거점"
		hellgossip = "(.+)|1으로;로; 보내 주십시오!"
		skyguard = "하늘경비대 전초기지"
		blackwind = "검은바람 비행기지"
	elseif gl == "zhCN" then
		nighthaven = "永夜港"
		druidgossip = "我想飞往(.+)。"
		expedition = "远征军岗哨"
		hellfire = "地狱火半岛"
		shatter = "破碎岗哨"
		honorpoint = "荣耀岗哨"
		hellgossip = "送我到(.+)去！"
		skyguard = "天空卫队哨站"
		blackwind = "黑风码头"
		sssa = "破碎残阳基地"
		srharbor = "阳湾港口"
		sssagossip = "说到行动"
		sssagossip2 = "我必须阻止"
		thesinloren = "辛洛雷号"
		sinlorengossip = "<骑上龙鹰"
	elseif gl == "zhTW" then
		nighthaven = "永夜港"				--Nighthaven, Moonglade
		druidgossip = "我想飛往(.+)。"	--Druid gossip option
		expedition = "遠征隊哨塔"			--Expedition Point
		hellfire = "地獄火半島"			--Another for Shatter Point (aka Honor Point)
		shatter = "破碎崗哨"
		honorpoint = "榮譽崗哨"
		hellgossip = "送我去(.+)!"			--Hellfire special flightpath gossip option (Alliance)
		skyguard = "禦天者崗哨"
		blackwind = "黑風平臺"
	elseif gl == "deDE" then
		nighthaven = "Nachthafen"
		druidgossip = "Wollt Ihr jetzt nach %s? %s fliegen?"   --Druid gossip option
		expedition = "Expeditionsr\195\188stlager"
		hellfire = "H\195\182llenfeuerhalbinsel"
		shatter = "Tr\195\188mmerposten"
		honorpoint = "Ehrenpunkt"
		hellgossip = "Bringt mich zum (.+)!"
		skyguard = "Au\195\159enposten der Himmelswache"
		blackwind = "Schattenwindlager"
	elseif gl == "esES" then
		nighthaven = "Asilo de la noche"		--Nighthaven, Moonglade
		druidgossip = "Me gustaría volar a (.+)."	--Druid gossip option
		expedition = "Punto de Expedición"		--Expedition Point
		hellfire = "Península del Fuego Infernal"	--Another for Shatter Point (aka Honor Point)
		shatter = "Punto de Añicos"
		honorpoint = "Punto de Honor"
		hellgossip = "Envíame a (.+)!"			--Hellfire special flightpath gossip option (Alliance)
		skyguard = "Puesto avanzado del Protector del Cielo"
		blackwind = "Aterrizaje del VientoNegro"
		sssa = "Zona de Espera del Sol Roto"		-- Shattered Sun Offensive bombing run
		srharbor = "Puerto del Alcance del Sol"
		sssagossip = "Hablando de acción"		-- shattered sun gossip air strike gossip
		sssagossip2 = "Necesito interceptar"		-- dawnblade reinforcements gossip
		thesinloren = "El Sin'loren"			-- The Sin'loren dragonhawk
		sinlorengossip = "<Monte el HalcónDragón"	-- The Sin'loren gossip
	elseif gl == "ruRU" then
		nighthaven = "Ночная Гавань"					--Nighthaven, Moonglade
		druidgossip = "I'd like to fly to (.+)."	--Druid gossip option
		expedition = "Лагерь экспедиции"			--Expedition Point
		hellfire = "Полуостров Адского Пламени"			--Another for Shatter Point (aka Honor Point)
		shatter = "Парящая застава"
		honorpoint = "Honor Point" -- Оплот Чести
		hellgossip = "Send me to (.+)!"			--Hellfire special flightpath gossip option (Alliance)
		skyguard = "Застава Стражи Небес"
		blackwind = "Лагерь Черного Ветра"
		sssa = "П.П. Расколотого Солнца"		-- Shattered Sun Offensive bombing run
		srharbor = "Гавань Солнечного Края"
		sssagossip = "Speaking of action"			-- shattered sun gossip air strike gossip
		sssagossip2 = "I need to intercept"		-- dawnblade reinforcements gossip
		thesinloren = "Син'лорен"				-- The Sin'loren dragonhawk
		sinlorengossip = "<Ride the dragonhawk"	-- The Sin'loren gossip
		swcity = "Штормград"
		swharborscenic = "flight around Stormwind Harbor"  -- flight tour around Stormwind Harbor
		cavernsoftime = "Пещеры Времени"
		cavernsentrance = "Please take me"		-- dragon flight at Caverns of Time entrance
		oldhillsbrad = "Старые предгорья Хилсбрада"
		oldhillsbradgossip = "I'm ready to go"
		durnholdekeep = "Крепость Дарнхольд"
		amberledge = "Янтарная гряда"
		transitusshield = "Маскировочный щит"  -- gossip flightpath, long way
		amberledgegossip = "Мне хотелось бы"
		valgarde = "Валгард"								-- Valgarde to Explorer's League Outpost
		explorersleague = "Лагерь Лиги Исследователей"
		valgardegossip = "Take me to the Explorers"
		argenttournament = "Ристалище Серебряного турнира"	-- "Get Kraken" daily quest
		argenttournamentgossip = "Забраться на гиппогрифа"
		fin = "Return"
	end
	t = {
		[nighthaven] = { match = druidgossip, },
		[expedition] = { match = hellgossip, },
		[hellfire] = { match = hellgossip, s = honorpoint },
		[shatter] = { match = hellgossip, },
		[skyguard] = { find = blackwind, d = blackwind, }, 
		[blackwind] = { find = skyguard, d = skyguard, },
		[sssa] = { find = sssagossip, find2 = sssagossip2, s = sssa, d = sssa, s2 = sssa, d2 = thesinloren, },
		[thesinloren] = { find = sinlorengossip, d = sssa, },
		[swcity] = { find = swharborscenic, },
		[cavernsoftime] = { find = cavernsentrance, },
		[oldhillsbrad] = { find = oldhillsbradgossip, d = durnholdekeep, },
		[amberledge] = { find = amberledgegossip, d = transitusshield, },
		[valgarde] = { find = valgardegossip, d = explorersleague, },
		[argenttournament] = { find = argenttournamentgossip, d = fin, },
		[astranaar] = { match = ashenvalesaber, },
		[maestrapost] = { match = ashenvalesaber, },
		[lordanei] = { match = darkshoregossip, },
		[feathermoonstronghold] = { find = feralasgossip1, d = ruinsoffeathermoon, }, 
		[ruinsoffeathermoon] = { find = feralasgossip2, d = feathermoonstronghold, },
		[terrorwing] = { find = terrorwinggossip, d = bogpaddle, },
	}
	t[srharbor] = t[sssa]
	t[ruinsofmathystra], t[shatterspearvale], t[bashalaran] = t[lordanei], t[lordanei], t[lordanei]
	end

	---------------------------------
	function InFlight:SetupInFlight()
	---------------------------------
	  	SlashCmdList.INFLIGHT = function()
	  		if LoadInFlight() then
	  			self:ShowOptions()
	  		end
	  	end
	   	SLASH_INFLIGHT1 = "/inflight"

		local panel = CreateFrame("Frame")
		panel.name = "InFlight"
		panel:SetScript("OnShow", function(this)
			if LoadInFlight() and InFlight.SetLayout then
				InFlight:SetLayout(this)
			end
		end)
		InterfaceOptions_AddCategory(panel)
		InFlight.SetupInFlight = nil
	end

	-- support for flightpaths that are started by gossip options
	local strmatch = strmatch
	hooksecurefunc("GossipTitleButton_OnClick", function(this, button)
		if this.type ~= "Gossip" then return end
		
		local subzone = GetMinimapZoneText()
		local tsz = t[subzone]
		if not tsz then return end
		
		local text = this:GetText()
		if not text or text == "" then return end
		
		local source, destination
		if tsz.match then  -- destination is in the text
			destination = strmatch(text, tsz.match)
			if not destination then return end
			source = tsz.s or subzone
		elseif tsz.find and strmatch(text, tsz.find) then  -- destination already known 1
			source = tsz.s or subzone
			destination = tsz.d or subzone
		elseif tsz.find2 and strmatch(text, tsz.find2) then  -- destination already known 2
			source = tsz.s2 or subzone
			destination = tsz.d2 or subzone
		end
		if source and LoadInFlight() then
			self:StartMiscFlight(source, destination)
		end
	end)
end


if Cartographer_Notes or (HandyNotes and not HandyNotes_FlightMasters) then
	local BZ, BZR
	-- Cartographer_Notes LOCALIZATION
	local itext = "Flight Master"
	local druid = "Druid"
	local thealdor = "The Aldor"
	local thescryers = "The Scryers"
	local special = "Special"
	if gl == "koKR" then
		itext = "와이번/그리폰 조련사"
	elseif gl == "zhCN" then -- by Isler
		itext = "飞行管理员"
		druid = "德鲁伊"
		thealdor = "奥尔多"
		thescryers = "占星者"
		special = "特殊"
	elseif gl == "zhTW" then
		itext = "飛行管理員"
		druid = "德魯伊"
		thealdor = "奧多爾"
		thescryers = "占卜者"
		special = "特殊"
	elseif gl == "deDE" then
		itext = "Flugmeister"
		druid = "Druide"
		thealdor = "Die Aldor"
		thescryers = "Die Seher"
	elseif gl == "esES" then
		itext = "Maestro de Vuelo"
		druid = "Druida"
		thealdor = "Los Aldor"
		thescryers = "Los Arúspices"
		special = "Especial"
	elseif gl == "ruRU" then
		itext = "Распорядитель полетов"
		druid = "Друид"
		thealdor = "Алдоры"
		thescryers = "Провидцы"
		special = "Особые"
	end
	local UpdateMapMod
	local function GetTaxiID(misc)
		if misc then return end
		for i = 1, NumTaxiNodes(), 1 do
			if TaxiNodeGetType(i) == "CURRENT" then
				local c = GetCurrentMapContinent()
				local x, y = TaxiNodePosition(i)
				return format("%d:%d:%d", c, x * 1000, y * 1000)
			end
		end
	end
	UpdateTaxiIcons = function(misc)  -- attempts to convert gray icons to green for known flights
		if not dbfaction then return end
		SetMapToCurrentZone()
		local c = GetCurrentMapContinent()
		local x,y = GetPlayerMapPosition("player")
		local zone = BZR and BZR[GetRealZoneText()] or GetRealZoneText()
		
		UpdateMapMod(c, x, y, zone, misc)
		
		for i = 1, misc and 0 or NumTaxiNodes(), 1 do
			local ntype = TaxiNodeGetType(i)
			local found = false
			if ntype == "REACHABLE" or ntype == "CURRENT" then
				local x, y = TaxiNodePosition(i)
				local key = format("%d:%d:%d", c, x * 1000, y * 1000)
				for zone, zonet in pairs(dbfaction) do
					if type(zonet) == "table" then
						for source, sourcet in pairs(zonet) do
							if type(sourcet) == "table" and sourcet.tid == key then
								sourcet.icon = "Taxi1"
								found = true
								break
							end
						end
					end
					if found then break end
				end
			end
		end
		if HandyNotes then
			HandyNotes:UpdatePluginMap("HandyNotes_NotifyUpdate", "InFlight_POI")
		end
	end
	--------------------------------
	function InFlight:PLAYER_LOGIN()  -- Cartographer and HandyNotes: load POI data and register database
	--------------------------------
		if InFlightCartoDB == "disable" then
			self.PLAYER_LOGIN = nil
			self.LoadPOIData = nil
			UpdateTaxiIcons = nil
			return
		end
		if not InFlightCartoDB or InFlightCartoDB.profiles or InFlightCartoDB.ver ~= 2 then
			InFlightCartoDB = (self.LoadPOIData and self:LoadPOIData(InFlightCartoDB)) or {}
			InFlightCartoDB.ver = 2
			print("|cff00ff00InFlight_Load|r: default POI data updated.")
		end
		self.LoadPOIData = nil

		local db = InFlightCartoDB
		local faction = UnitFactionGroup("player")
		db[faction] = db[faction] or {}
		dbfaction = db[faction]
		
		local Z = LibStub("LibBabble-Zone-3.0", true)
		BZ = Z and Z:GetLookupTable()
		BZR = Z and Z:GetReverseLookupTable()
		
		if Cartographer_Notes then
			UpdateMapMod = function(c, x, y, zone, misc)
				if not Cartographer_Notes:GetNearbyNote(zone, x, y, 15, "InFlight", true) then
					if Cartographer_Notes:SetNote(zone, x, y, (misc and "Taxi2") or "Taxi1", "InFlight") then
						local coord = floor(x*10000 + 0.5) + floor(y*10000 + 0.5)*10001
						local newentry = dbfaction[zone][coord]
						if type(newentry) == "string" then
							dbfaction[zone][coord] = { icon = newentry, tid = GetTaxiID(misc), }
						elseif type(newentry) == "table" then
							newentry.tid = GetTaxiID(misc)
						end
					end
				end
			end
			Cartographer_Notes:RegisterIcon("Taxi0", {
				text = "|cff888888"..itext.."|r",
				path = "Interface\\TaxiFrame\\UI-Taxi-Icon-White",
				width = 13, height = 13, alpha = 0.8,
			})
			Cartographer_Notes:RegisterIcon("Taxi1", {
				text = "|cff00ff00"..itext.."|r",
				path = "Interface\\TaxiFrame\\UI-Taxi-Icon-Green",
				width = 13, height = 13, alpha = 0.8,
			})
			Cartographer_Notes:RegisterIcon("Taxi2", {
				text = "|cffffbb00"..itext.."|r",
				path = "Interface\\TaxiFrame\\UI-Taxi-Icon-Yellow",
				width = 13, height = 13, alpha = 0.8,
			})
			Cartographer_Notes:RegisterNotesDatabase("InFlight", dbfaction, self)
			Cartographer_Notes:RefreshMap()
			
		elseif HandyNotes then
			UpdateMapMod = function(c, x, y, zone, misc)
				local dbfz = dbfaction[zone]
				if not dbfz then  -- adds new zone entry
					local coord = floor(x*10000 + 0.5) + floor(y*10000 + 0.5)*10001
					dbfaction[zone] = { 
						[coord] = { 
							icon = (misc and "Taxi2") or "Taxi1", 
							tid = GetTaxiID(misc), 
						}, 
					}
				else
					local found
					for key, keyt in pairs(dbfz) do  -- attempt a search to see if a nearby node already exists
						local kx, ky = (key % 10001)/10000, floor(key / 10001)/10000
						if abs(kx - x) < 0.015 and abs(ky - y) < 0.015 then
							found = true
							break
						end
					end
					if not found then  -- adds new entry
						local coord = floor(x*10000 + 0.5) + floor(y*10000 + 0.5)*10001
						dbfz[coord] = { 
							icon = (misc and "Taxi2") or "Taxi1", 
							tid = GetTaxiID(misc), 
						}
					end
				end
			end
			local HNIF = { }
			local icons = { 
				Taxi0 = "Interface\\TaxiFrame\\UI-Taxi-Icon-White",
				Taxi1 = "Interface\\TaxiFrame\\UI-Taxi-Icon-Green",
				Taxi2 = "Interface\\TaxiFrame\\UI-Taxi-Icon-Yellow",
			}
			local temp = { }
			local info = { notCheckable = 1, }
			local realstate, ddframe, createWaypoint, deleteNode, close, clickedmap, clickedcoord
			
			local function getEnglishZoneFromMapFile(mapFile)
				local c, z = HandyNotes:GetCZ(mapFile)
				local zone = HandyNotes:GetCZToZone(c, z)
				return (BZR and BZR[zone]) or zone or "blah"
			end
			local function iter(t, prestate)
				if not t then return end
				if realstate and not t[realstate] then return end
				local state, value = next(t, realstate)
				realstate = state
				if value then
					if type(value) == "table" then
						local tx, ty = (state % 10001)/10000, floor(state / 10001)/10000
						local coord = HandyNotes:getCoord(tx, ty)
						return coord, nil, icons[value.icon], 0.9, 0.8
					else
						local mapFile, coord = strmatch(state, "(.+)@(.+)")
						return tonumber(coord), mapFile, icons[value], 0.9, 0.8
					end
				end
			end
			function HNIF:GetNodes(mapFile, minimap)
				local cont, zid = HandyNotes:GetCZ(mapFile)
				if cont and zid == 0 then
					for k, v in pairs(temp) do
						temp[k] = nil
					end
					for zone, zonet in pairs(dbfaction) do
						local zonec, zonez = HandyNotes:GetZoneToCZ((BZ and zone ~= "version" and BZ[zone]) or zone)
						if zonec == cont then
							for key, keyt in pairs(zonet) do
								local tx, ty = (key % 10001)/10000, floor(key / 10001)/10000
								local coord = HandyNotes:getCoord(tx, ty)
								temp[format("%s@%s", HandyNotes:GetMapFile(zonec, zonez), coord)] = keyt.icon
							end
						end
					end
					return iter, temp
				end
				return iter, dbfaction[getEnglishZoneFromMapFile(mapFile)]
			end
			function HNIF:OnClick(button, down, mapFile, coord)
				if button == "RightButton" and not down then
					if not ddframe then
						ddframe = CreateFrame("Frame")
						ddframe.displayMode = "MENU"
						deleteNode = function()
							local cx, cy = HandyNotes:getXY(clickedcoord)
							if not cx then return end
							local dbcoord = floor(cx*10000 + 0.5) + floor(cy*10000 + 0.5)*10001
							local dbf = dbfaction[getEnglishZoneFromMapFile(mapFile)]
							if dbf then dbf[dbcoord] = nil end
							HandyNotes:UpdatePluginMap("HandyNotes_NotifyUpdate", "InFlight_POI")
						end
						close = function() CloseDropDownMenus() end
						ddframe.initialize = function(button, level)
							if level ~= 1 then return end
							if TomTom or Cartographer_Waypoints then
								createWaypoint = createWaypoint or function()
									local c, z = HandyNotes:GetCZ(clickedmap)
									local x, y = HandyNotes:getXY(clickedcoord)
									if TomTom then
										TomTom:AddZWaypoint(c, z, x*100, y*100, itext)
									elseif Cartographer_Waypoints then
										Cartographer_Waypoints:AddWaypoint(NotePoint:new(HandyNotes:GetCZToZone(c, z), x, y, itext))
									end
								end
								info.text = (TomTomLocals and TomTomLocals["Set as waypoint arrow"]) or "Set as waypoint arrow"
								info.func = createWaypoint
								UIDropDownMenu_AddButton(info, level)
							end
							info.text = DELETE
							info.func = deleteNode
							UIDropDownMenu_AddButton(info, level)
							info.text = CLOSE
							info.func = close
							UIDropDownMenu_AddButton(info, level)
						end
					end
					clickedmap, clickedcoord = mapFile, coord
					ToggleDropDownMenu(1, nil, ddframe, self, 0, 0)
				end
			end
			function HNIF:OnEnter(mapFile, coord)
				local tooltip = (self:GetParent() == WorldMapButton and WorldMapTooltip) or GameTooltip
				tooltip:SetOwner(self, "ANCHOR_TOPLEFT")
				tooltip:SetText("|cff00ff00"..itext.."|r")
				local dbf = dbfaction[getEnglishZoneFromMapFile(mapFile)]
				if dbf then
					local cx, cy = HandyNotes:getXY(coord)
					if cx and cy then
						local dbcoord = floor(cx*10000 + 0.5) + floor(cy*10000 + 0.5)*10001
						local dbfc = dbf[dbcoord]
						if dbfc and dbfc.info then
							tooltip:AddLine(dbfc.info)
						end
					end
				end
				tooltip:Show()
			end
			function HNIF:OnLeave(mapFile, coord)
				(self:GetParent() == WorldMapButton and WorldMapTooltip or GameTooltip):Hide()
			end

			HandyNotes:RegisterPluginDB("InFlight_POI", HNIF)
		end  -- end elseif HandyNotes

		self.PLAYER_LOGIN = nil
	end  -- InFlight:PLAYER_LOGIN()

	-----------------------------------
	function InFlight:LoadPOIData(prev)  -- Notes data, prev is the previous database to synchronize
	-----------------------------------
		local ti = "Taxi0"
		local data = {
			["Horde"] = {
				["The Hinterlands"] = {
					[81816350] = {
						["icon"] = ti,
						["tid"] = "2:589:551",
					},
					[58049043] = {
						["icon"] = ti,
						["tid"] = "2:524:573",
					},
				},
				["Wintergrasp"] = {
					[34965660] = {
						["icon"] = ti,
						["tid"] = "4:313:566",
					},
				},
				["Shimmering Expanse"] = {
					[63401418] = {
						["icon"] = ti,
						["tid"] = "2:280:337",
					},
					[65611512] = {
						["icon"] = ti,
						["tid"] = "2:277:335",
					},
					[41259075] = {
						["icon"] = ti,
						["tid"] = "2:277:361",
					},
				},
				["Dragonblight"] = {
					[62243874] = {
						["icon"] = ti,
						["tid"] = "4:594:451",
					},
					[74422288] = {
						["icon"] = ti,
						["tid"] = "4:493:421",
					},
					[16896077] = {
						["icon"] = ti,
						["tid"] = "4:476:561",
					},
					[45708317] = {
						["icon"] = ti,
						["tid"] = "4:453:491",
					},
					[51401165] = {
						["icon"] = ti,
						["tid"] = "4:535:477",
					},
				},
				["The Cape of Stranglethorn"] = {
					[29336451] = {
						["icon"] = ti,
						["tid"] = "2:400:112",
					},
					[73371392] = {
						["icon"] = ti,
						["tid"] = "2:408:72",
					},
				},
				["Terokkar Forest"] = {
					[43469267] = {
						["icon"] = ti,
						["tid"] = "3:509:268",
					},
					[65012800] = {
						["icon"] = "Taxi2",
						["info"] = special,
					},
				},
				["Arathi Highlands"] = {
					[34864812] = {
						["icon"] = ti,
						["tid"] = "2:481:540",
					},
					[32610570] = {
						["icon"] = ti,
						["tid"] = "2:547:542",
					},
					[33470159] = {
						["icon"] = ti,
						["tid"] = "2:547:542",
					},
				},
				["Eversong Woods"] = {
					[50740508] = {
						["icon"] = ti,
						["tid"] = "2:591:816",
					},
				},
				["Hyjal"] = {
					[36315588] = {
						["icon"] = ti,
						["tid"] = "1:523:699",
					},
					[21548372] = {
						["icon"] = ti,
						["tid"] = "1:597:717",
					},
					[42688382] = {
						["icon"] = ti,
						["tid"] = "1:560:692",
					},
					[75264690] = {
						["icon"] = ti,
						["tid"] = "1:613:654",
					},
				},
				["Abyssal Depths"] = {
					[59611343] = {
						["icon"] = ti,
						["tid"] = "2:215:347",
					},
				},
				["Orgrimmar"] = {
					[58990871] = {
						["icon"] = ti,
						["tid"] = "1:629:561",
					},
				},
				["Undercity"] = {
					[48511190] = {
						["icon"] = ti,
						["tid"] = "2:416:628",
					},
				},
				["Desolace"] = {
					[49770743] = {
						["icon"] = ti,
						["tid"] = "1:383:445",
					},
					[74009560] = {
						["icon"] = ti,
						["tid"] = "1:316:415",
					},
					[32820341] = {
						["icon"] = ti,
						["tid"] = "1:407:465",
					},
					[26936595] = {
						["icon"] = ti,
						["tid"] = "1:348:473",
					},
					[29737398] = {
						["icon"] = ti,
						["tid"] = "1:358:469",
					},
				},
				["Zul'Drak"] = {
					[73598759] = {
						["icon"] = ti,
						["tid"] = "4:636:578",
					},
					[23169361] = {
						["icon"] = ti,
						["tid"] = "4:818:687",
					},
					[56721674] = {
						["icon"] = ti,
						["tid"] = "4:784:614",
					},
					[64440598] = {
						["icon"] = ti,
						["tid"] = "4:724:598",
					},
					[74460662] = {
						["icon"] = ti,
						["tid"] = "4:694:576",
					},
				},
				["Tanaris"] = {
					[27527953] = {
						["icon"] = ti,
						["tid"] = "1:607:196",
					},
					[49691570] = {
						["info"] = special,
						["icon"] = "Taxi2",
					},
					[77351065] = {
						["icon"] = ti,
						["tid"] = "1:552:97",
					},
					[60591643] = {
						["icon"] = ti,
						["tid"] = "1:618:130",
					},
				},
				["Northern Stranglethorn"] = {
					[39140156] = {
						["icon"] = ti,
						["tid"] = "2:454:154",
					},
					[51199017] = {
						["icon"] = ti,
						["tid"] = "2:420:142",
					},
				},
				["Borean Tundra"] = {
					[37691542] = {
						["icon"] = ti,
						["tid"] = "4:287:464",
					},
					[51492997] = {
						["icon"] = ti,
						["tid"] = "4:290:430",
					},
					[34486763] = {
						["icon"] = ti,
						["tid"] = "4:121:472",
					},
					[11016060] = {
						["icon"] = ti,
						["tid"] = "4:182:530",
					},
					[51459183] = {
						["icon"] = ti,
						["tid"] = "4:148:430",
					},
					[34347953] = {
						["icon"] = ti,
						["tid"] = "4:165:473",
					},
				},
				["The Barrens"] = {
					[37170024] = {
						["icon"] = ti,
						["tid"] = "1:605:450",
					},
					[30408190] = {
						["icon"] = ti,
						["tid"] = "1:557:469",
					},
					[59010300] = {
						["icon"] = ti,
						["tid"] = "1:528:389",
					},
				},
				["Swamp of Sorrows"] = {
					[54710080] = {
						["icon"] = ti,
						["tid"] = "2:539:210",
					},
					[12098413] = {
						["icon"] = ti,
						["tid"] = "2:561:235",
					},
				},
				["Stranglethorn Vale"] = {
					[29306180] = {
						["icon"] = ti,
						["tid"] = "2:420:142",
					},
					[77100395] = {
						["icon"] = ti,
						["tid"] = "2:408:72",
					},
				},
				["Eastern Plaguelands"] = {
					[67920276] = {
						["icon"] = ti,
						["tid"] = "2:554:639",
					},
					[43780534] = {
						["icon"] = ti,
						["tid"] = "2:591:661",
					},
					[21217258] = {
						["icon"] = ti,
						["tid"] = "2:577:682",
					},
					[53690648] = {
						["icon"] = ti,
						["tid"] = "2:579:652",
					},
					[53392918] = {
						["icon"] = ti,
						["tid"] = "2:611:652",
					},
					[27444590] = {
						["icon"] = ti,
						["tid"] = "2:531:676",
					},
					[65727584] = {
						["icon"] = ti,
						["tid"] = "2:519:641",
					},
				},
				["Shadowmoon Valley"] = {
					[29205950] = {
						["icon"] = ti,
						["tid"] = "3:661:232",
					},
					[57831413] = {
						["info"] = thescryers,
						["icon"] = "Taxi2",
						["tid"] = "3:778:146",
					},
					[30409373] = {
						["info"] = thealdor,
						["icon"] = "Taxi2",
						["tid"] = "3:808:228",
					},
				},
				["Un'Goro Crater"] = {
					[40258432] = {
						["icon"] = ti,
						["tid"] = "1:495:201",
					},
					[64232023] = {
						["icon"] = ti,
						["tid"] = "1:514:177",
					},
				},
				["Mulgore"] = {
					[58670609] = {
						["icon"] = ti,
						["tid"] = "1:466:393",
					},
				},
				["Felwood"] = {
					[8706505] = {
						["icon"] = ti,
						["tid"] = "1:517:770",
					},
					[61890614] = {
						["icon"] = ti,
						["tid"] = "1:487:682",
					},
					[80913244] = {
						["icon"] = ti,
						["tid"] = "1:505:650",
					},
					[28687227] = {
						["icon"] = ti,
						["tid"] = "1:485:737",
					},
				},
				["Western Plaguelands"] = {
					[18486317] = {
						["icon"] = ti,
						["tid"] = "2:478:672",
					},
					[64701126] = {
						["icon"] = ti,
						["tid"] = "2:481:626",
					},
					[52290279] = {
						["icon"] = ti,
						["tid"] = "2:487:638",
					},
				},
				["Uldum"] = {
					[8313492] = {
						["icon"] = ti,
						["tid"] = "1:418:143",
					},
					[64898716] = {
						["icon"] = ti,
						["tid"] = "1:407:47",
					},
					[33648978] = {
						["icon"] = ti,
						["tid"] = "1:493:100",
					},
				},
				["Silverpine Forest"] = {
					[42508800] = {
						["icon"] = ti,
						["tid"] = "2:372:590",
					},
					[8776660] = {
						["icon"] = ti,
						["tid"] = "2:390:623",
					},
				},
				["Thunder Bluff"] = {
					[50009690] = {
						["icon"] = ti,
						["tid"] = "1:449:438",
					},
				},
				["Stonetalon Mountains"] = {
					[30847594] = {
						["icon"] = ti,
						["tid"] = "1:399:577",
					},
					[62812931] = {
						["icon"] = ti,
						["tid"] = "1:451:525",
					},
					[89466005] = {
						["icon"] = ti,
						["tid"] = "1:461:483",
					},
					[40099399] = {
						["icon"] = ti,
						["tid"] = "1:420:562",
					},
					[61981047] = {
						["icon"] = ti,
						["tid"] = "1:407:527",
					},
				},
				["Moonglade"] = {
					[66309850] = {
						["icon"] = ti,
						["tid"] = "1:537:794",
					},
					[45008900] = {
						["icon"] = "Taxi2",
						["info"] = druid,
					},
				},
				["Thousand Needles"] = {
					[71825092] = {
						["icon"] = ti,
						["tid"] = "1:611:238",
					},
					[11602277] = {
						["icon"] = ti,
						["tid"] = "1:488:310",
					},
				},
				["Howling Fjord"] = {
					[29730875] = {
						["icon"] = ti,
						["tid"] = "4:951:365",
					},
					[67371940] = {
						["icon"] = ti,
						["tid"] = "4:845:267",
					},
					[11506103] = {
						["icon"] = ti,
						["tid"] = "4:835:412",
					},
					[57838247] = {
						["icon"] = ti,
						["tid"] = "4:738:292",
					},
					[25025103] = {
						["icon"] = ti,
						["tid"] = "4:743:377",
					},
				},
				["Dustwallow Marsh"] = {
					[31806740] = {
						["icon"] = ti,
						["tid"] = "1:567:358",
					},
					[72451526] = {
						["icon"] = ti,
						["tid"] = "1:583:300",
					},
				},
				["Badlands"] = {
					[44904900] = {
						["icon"] = ti,
						["tid"] = "2:501:343",
					},
					[40085735] = {
						["icon"] = ti,
						["tid"] = "2:510:342",
					},
					[50860321] = {
						["icon"] = ti,
						["tid"] = "2:548:334",
					},
					[35159944] = {
						["icon"] = ti,
						["tid"] = "2:560:345",
					},
				},
				["Searing Gorge"] = {
					[30806560] = {
						["icon"] = ti,
						["tid"] = "2:464:346",
					},
					[68790982] = {
						["icon"] = ti,
						["tid"] = "2:468:326",
					},
				},
				["Blade's Edge Mountains"] = {
					[65914230] = {
						["icon"] = ti,
						["tid"] = "3:486:643",
					},
					[39610130] = {
						["icon"] = ti,
						["tid"] = "3:421:720",
					},
					[51007900] = {
						["icon"] = "Taxi2",
						["info"] = special,
					},
					[54210630] = {
						["icon"] = ti,
						["tid"] = "3:378:677",
					},
				},
				["Tirisfal Glades"] = {
					[69965352] = {
						["tid"] = "2:451:633",
					},
				},
				["The Storm Peaks"] = {
					[36396701] = {
						["icon"] = ti,
						["tid"] = "4:573:789",
					},
					[84502517] = {
						["icon"] = ti,
						["tid"] = "4:619:641",
					},
					[50711610] = {
						["icon"] = ti,
						["tid"] = "4:733:745",
					},
					[28127263] = {
						["icon"] = ti,
						["tid"] = "4:637:814",
					},
					[60962351] = {
						["icon"] = ti,
						["tid"] = "4:720:713",
					},
					[49388551] = {
						["icon"] = ti,
						["tid"] = "4:599:749",
					},
				},
				["Silithus"] = {
					[34558733] = {
						["icon"] = ti,
						["tid"] = "1:416:207",
					},
				},
				["Shattrath City"] = {
					[40980501] = {
						["icon"] = ti,
						["tid"] = "3:437:328",
					},
				},
				["Sholazar Basin"] = {
					[61341140] = {
						["icon"] = ti,
						["tid"] = "4:244:597",
					},
					[58008300] = {
						["icon"] = ti,
						["tid"] = "4:175:603",
					},
				},
				["Grizzly Hills"] = {
					[46881182] = {
						["icon"] = ti,
						["tid"] = "4:844:492",
					},
					[64518647] = {
						["icon"] = ti,
						["tid"] = "4:698:452",
					},
				},
				["Icecrown"] = {
					[24376808] = {
						["icon"] = ti,
						["tid"] = "4:377:785",
					},
					[78046582] = {
						["icon"] = ti,
						["tid"] = "4:555:639",
					},
					[47806721] = {
						["icon"] = ti,
						["tid"] = "4:278:721",
					},
					[22619520] = {
						["icon"] = ti,
						["tid"] = "4:494:789",
					},
					[72365170] = {
						["icon"] = ti,
						["tid"] = "4:521:655",
					},
				},
				["Vashj'ir"] = {
					[68123300] = {
						["icon"] = ti,
						["tid"] = "2:278:335",
					},
				},
				["Netherstorm"] = {
					[66713180] = {
						["icon"] = ti,
						["tid"] = "3:719:720",
					},
					[34908020] = {
						["icon"] = ti,
						["tid"] = "3:628:816",
					},
					[64009780] = {
						["icon"] = ti,
						["tid"] = "3:576:729",
					},
				},
				["Ashenvale"] = {
					[34444560] = {
						["icon"] = ti,
						["tid"] = "1:407:625",
					},
					[42248035] = {
						["icon"] = ti,
						["tid"] = "1:471:612",
					},
					[61533472] = {
						["icon"] = ti,
						["tid"] = "1:554:582",
					},
					[65281452] = {
						["icon"] = ti,
						["tid"] = "1:497:576",
					},
				},
				["Ghostlands"] = {
					[30527594] = {
						["icon"] = ti,
						["tid"] = "2:578:754",
					},
					[67164191] = {
						["icon"] = ti,
						["tid"] = "2:611:726",
					},
				},
				["Isle of Quel'Danas"] = {
					[25137357] = {
						["icon"] = ti,
						["tid"] = "2:582:942",
					},
					[17316972] = {
						["info"] = special,
						["icon"] = "Taxi2",
					},
				},
				["Southern Barrens"] = {
					[70851204] = {
						["icon"] = ti,
						["tid"] = "1:520:352",
					},
					[20266000] = {
						["icon"] = ti,
						["tid"] = "1:516:454",
					},
				},
				["Kelp'thar Forest"] = {
					[31158723] = {
						["icon"] = ti,
						["tid"] = "2:305:414",
					},
				},
				["Durotar"] = {
					[43639668] = {
						["icon"] = ti,
						["tid"] = "1:646:498",
					},
					[73452881] = {
						["icon"] = ti,
						["tid"] = "1:651:455",
					},
				},
				["Blasted Lands"] = {
					[14175787] = {
						["icon"] = ti,
						["tid"] = "2:522:194",
					},
					[72952384] = {
						["icon"] = ti,
						["tid"] = "2:532:144",
					},
				},
				["Crystalsong Forest"] = {
					[50422896] = {
						["icon"] = ti,
						["tid"] = "4:596:602",
					},
				},
				["Winterspring"] = {
					[36309680] = {
						["icon"] = ti,
						["tid"] = "1:640:767",
					},
					[48320716] = {
						["icon"] = ti,
						["tid"] = "1:640:767",
					},
				},
				["Tirisfal"] = {
					[70005361] = {
						["icon"] = ti,
						["tid"] = "2:451:633",
					},
					[51881070] = {
						["icon"] = ti,
						["tid"] = "2:413:652",
					},
				},
				["Hellfire Peninsula"] = {
					[81214280] = {
						["icon"] = ti,
						["tid"] = "3:677:370",
					},
					[36309260] = {
						["icon"] = ti,
						["tid"] = "3:655:496",
					},
					[60038789] = {
						["icon"] = ti,
						["tid"] = "3:535:430",
					},
					[48233559] = {
						["icon"] = ti,
						["tid"] = "3:786:463",
					},
				},
				["Twilight Highlands"] = {
					[76152188] = {
						["icon"] = ti,
						["tid"] = "2:594:406",
					},
					[42229631] = {
						["icon"] = ti,
						["tid"] = "2:609:447",
					},
					[24885341] = {
						["icon"] = ti,
						["tid"] = "2:562:468",
					},
					[37987483] = {
						["icon"] = ti,
					},
					[52872664] = {
						["icon"] = ti,
						["tid"] = "2:645:434",
					},
					[17769311] = {
						["icon"] = ti,
						["tid"] = "2:648:477",
					},
				},
				["Feralas"] = {
					[48389934] = {
						["icon"] = ti,
						["tid"] = "1:372:298",
					},
					[44311970] = {
						["icon"] = ti,
						["tid"] = "1:442:306",
					},
					[15425692] = {
						["icon"] = ti,
						["tid"] = "1:345:361",
					},
				},
				["Northern Barrens"] = {
					[58620731] = {
						["icon"] = ti,
						["tid"] = "1:557:469",
					},
					[15845783] = {
						["icon"] = ti,
						["tid"] = "1:541:537",
					},
					[17097942] = {
						["icon"] = ti,
						["tid"] = "1:589:535",
					},
					[70673979] = {
						["icon"] = ti,
						["tid"] = "1:605:450",
					},
				},
				["Azshara"] = {
					[20968747] = {
						["icon"] = ti,
						["tid"] = "1:740:677",
					},
					[65057933] = {
						["icon"] = ti,
						["tid"] = "1:621:610",
					},
					[74352583] = {
						["icon"] = ti,
						["tid"] = "1:706:596",
					},
					[49890286] = {
						["icon"] = ti,
						["tid"] = "1:709:633",
					},
				},
				["Zangarmarsh"] = {
					[51108411] = {
						["icon"] = ti,
						["tid"] = "3:232:496",
					},
					[55033976] = {
						["icon"] = ti,
						["tid"] = "3:444:485",
					},
				},
				["Dalaran"] = {
					[44941680] = {
						["icon"] = ti,
						["tid"] = "4:522:617",
					},
				},
				["Burning Steppes"] = {
					[24108970] = {
						["icon"] = ti,
						["tid"] = "2:501:313",
					},
					[24137840] = {
						["icon"] = ti,
						["tid"] = "2:501:313",
					},
					[41838801] = {
						["icon"] = ti,
						["tid"] = "2:492:300",
					},
				},
				["Hillsbrad Foothills"] = {
					[63202283] = {
						["icon"] = ti,
						["tid"] = "2:462:554",
					},
					[46170221] = {
						["icon"] = ti,
						["tid"] = "2:456:573",
					},
					[66221529] = {
						["icon"] = ti,
						["tid"] = "2:444:550",
					},
					[64409348] = {
						["icon"] = ti,
						["tid"] = "2:410:552",
					},
				},
				["Nagrand"] = {
					[35309250] = {
						["icon"] = ti,
						["tid"] = "3:288:375",
					},
				},
			},
			["Alliance"] = {
				["The Hinterlands"] = {
					[44881064] = {
						["icon"] = ti,
						["tid"] = "2:568:584",
					},
					[46025719] = {
						["icon"] = ti,
						["tid"] = "2:495:583",
					},
				},
				["Wintergrasp"] = {
					[31010300] = {
						["icon"] = ti,
						["tid"] = "4:410:571",
					},
				},
				["Shimmering Expanse"] = {
					[75113219] = {
						["icon"] = ti,
						["tid"] = "2:290:323",
					},
					[17137417] = {
						["icon"] = ti,
						["tid"] = "2:290:389",
					},
					[57460602] = {
						["icon"] = ti,
						["tid"] = "2:276:344",
					},
					[41179065] = {
						["icon"] = ti,
						["tid"] = "2:277:361",
					},
				},
				["Dragonblight"] = {
					[49792679] = {
						["icon"] = ti,
						["tid"] = "4:596:481",
					},
					[51571188] = {
						["icon"] = ti,
						["tid"] = "4:535:477",
					},
					[25926544] = {
						["icon"] = ti,
						["tid"] = "4:460:539",
					},
					[74402291] = {
						["icon"] = ti,
						["tid"] = "4:493:421",
					},
					[55328450] = {
						["icon"] = ti,
						["tid"] = "4:423:467",
					},
				},
				["The Cape of Stranglethorn"] = {
					[74531617] = {
						["icon"] = ti,
						["tid"] = "2:409:71",
					},
					[41349700] = {
						["icon"] = ti,
						["tid"] = "2:429:101",
					},
				},
				["Hellfire Peninsula"] = {
					[37226235] = {
						["icon"] = ti,
						["tid"] = "3:524:494",
					},
					[62563393] = {
						["info"] = special,
						["icon"] = "Taxi2",
					},
					[28239695] = {
						["info"] = special,
						["icon"] = "Taxi2",
					},
					[35001346] = {
						["icon"] = ti,
						["tid"] = "3:748:500",
					},
					[52413982] = {
						["icon"] = ti,
						["tid"] = "3:786:451",
					},
					[62461708] = {
						["icon"] = ti,
						["tid"] = "3:648:423",
					},
					[34431268] = {
						["icon"] = "Taxi2",
						["info"] = special,
					},
				},
				["Arathi Highlands"] = {
					[47348725] = {
						["icon"] = ti,
						["tid"] = "2:513:530",
					},
				},
				["Westfall"] = {
					[18816861] = {
						["icon"] = ti,
						["tid"] = "2:381:232",
					},
					[49440606] = {
						["icon"] = ti,
						["tid"] = "2:390:207",
					},
					[63300540] = {
						["icon"] = ti,
						["tid"] = "2:372:196",
					},
				},
				["Abyssal Depths"] = {
					[75463237] = {
						["icon"] = ti,
						["tid"] = "2:219:334",
					},
				},
				["Desolace"] = {
					[71630834] = {
						["icon"] = ti,
						["tid"] = "1:344:418",
					},
					[32850348] = {
						["icon"] = ti,
						["tid"] = "1:407:465",
					},
					[26996604] = {
						["icon"] = ti,
						["tid"] = "1:348:473",
					},
					[10437513] = {
						["icon"] = ti,
						["tid"] = "1:396:493",
					},
					[49760744] = {
						["icon"] = ti,
						["tid"] = "1:383:445",
					},
				},
				["Zul'Drak"] = {
					[73598759] = {
						["icon"] = ti,
						["tid"] = "4:636:578",
					},
					[23169361] = {
						["icon"] = ti,
						["tid"] = "4:818:687",
					},
					[56721674] = {
						["icon"] = ti,
						["tid"] = "4:784:614",
					},
					[64440598] = {
						["icon"] = ti,
						["tid"] = "4:724:598",
					},
					[74380655] = {
						["icon"] = ti,
						["tid"] = "4:694:576",
					},
				},
				["Tanaris"] = {
					[77581760] = {
						["icon"] = ti,
						["tid"] = "1:572:97",
					},
					[29488085] = {
						["icon"] = ti,
						["tid"] = "1:605:192",
					},
					[60611646] = {
						["icon"] = ti,
						["tid"] = "1:618:130",
					},
					[49691570] = {
						["info"] = special,
						["icon"] = "Taxi2",
					},
				},
				["Northern Stranglethorn"] = {
					[66191884] = {
						["icon"] = ti,
						["tid"] = "2:440:128",
					},
					[11905976] = {
						["icon"] = ti,
						["tid"] = "2:433:180",
					},
				},
				["Borean Tundra"] = {
					[34446756] = {
						["icon"] = ti,
						["tid"] = "4:121:472",
					},
					[68302725] = {
						["icon"] = ti,
						["tid"] = "4:217:388",
					},
					[34567987] = {
						["icon"] = ti,
						["tid"] = "4:165:473",
					},
					[20067664] = {
						["icon"] = ti,
						["tid"] = "4:208:508",
					},
					[51533006] = {
						["icon"] = ti,
						["tid"] = "4:290:430",
					},
				},
				["Swamp of Sorrows"] = {
					[38460846] = {
						["icon"] = ti,
						["tid"] = "2:559:220",
					},
					[34636532] = {
						["icon"] = ti,
						["tid"] = "2:525:222",
					},
					[12208438] = {
						["icon"] = ti,
						["tid"] = "2:561:235",
					},
				},
				["Darnassus"] = {
					[48058476] = {
						["icon"] = ti,
						["tid"] = "1:342:897",
					},
				},
				["Azuremyst Isle"] = {
					[49169880] = {
						["icon"] = ti,
						["tid"] = "1:242:734",
					},
				},
				["Eastern Plaguelands"] = {
					[67910275] = {
						["icon"] = ti,
						["tid"] = "2:554:639",
					},
					[21287263] = {
						["icon"] = ti,
						["tid"] = "2:577:682",
					},
					[43790539] = {
						["icon"] = ti,
						["tid"] = "2:591:661",
					},
					[27384585] = {
						["icon"] = ti,
						["tid"] = "2:531:676",
					},
					[53432926] = {
						["icon"] = ti,
						["tid"] = "2:611:652",
					},
					[65717583] = {
						["icon"] = ti,
						["tid"] = "2:519:641",
					},
					[53690644] = {
						["icon"] = ti,
						["tid"] = "2:579:652",
					},
				},
				["Shadowmoon Valley"] = {
					[30409373] = {
						["tid"] = "3:808:228",
						["info"] = thealdor,
						["icon"] = ti,
					},
					[55529315] = {
						["icon"] = ti,
						["tid"] = "3:694:153",
					},
					[57831413] = {
						["tid"] = "3:778:146",
						["info"] = thescryers,
						["icon"] = "Taxi2",
					},
				},
				["Elwynn Forest"] = {
					[64590634] = {
						["icon"] = ti,
						["tid"] = "2:423:246",
					},
					[66454820] = {
						["icon"] = ti,
						["tid"] = "2:471:244",
					},
				},
				["Un'Goro Crater"] = {
					[40248431] = {
						["icon"] = ti,
						["tid"] = "1:495:201",
					},
					[64092005] = {
						["icon"] = ti,
						["tid"] = "1:514:177",
					},
				},
				["Ironforge"] = {
					[47980362] = {
						["icon"] = ti,
						["tid"] = "2:466:406",
					},
				},
				["Felwood"] = {
					[80893237] = {
						["icon"] = ti,
						["tid"] = "1:505:650",
					},
					[25358589] = {
						["icon"] = ti,
						["tid"] = "1:527:742",
					},
					[28717233] = {
						["icon"] = ti,
						["tid"] = "1:485:737",
					},
					[61890613] = {
						["icon"] = ti,
						["tid"] = "1:487:682",
					},
				},
				["Burning Steppes"] = {
					[52727052] = {
						["icon"] = ti,
						["tid"] = "2:461:292",
					},
					[41968807] = {
						["icon"] = ti,
						["tid"] = "2:492:300",
					},
					[65703781] = {
						["icon"] = ti,
						["tid"] = "2:521:283",
					},
					[58823716] = {
						["icon"] = "Taxi2",
						["info"] = special,
					},
				},
				["The Exodar"] = {
					[36519083] = {
						["icon"] = ti,
						["tid"] = "1:205:745",
					},
				},
				["Wetlands"] = {
					[59626914] = {
						["icon"] = ti,
						["tid"] = "2:453:442",
					},
					[71192805] = {
						["icon"] = ti,
						["tid"] = "2:521:431",
					},
					[41849817] = {
						["icon"] = ti,
						["tid"] = "2:520:459",
					},
					[39047784] = {
						["icon"] = ti,
						["tid"] = "2:495:462",
					},
					[18556849] = {
						["icon"] = ti,
						["tid"] = "2:511:481",
					},
				},
				["Mount Hyjal"] = {
					[75364695] = {
						["icon"] = ti,
						["tid"] = "1:613:654",
					},
					[36415601] = {
						["icon"] = ti,
						["tid"] = "1:523:699",
					},
					[42648386] = {
						["icon"] = ti,
						["tid"] = "1:560:692",
					},
					[21628380] = {
						["icon"] = ti,
						["tid"] = "1:597:717",
					},
				},
				["Stonetalon Mountains"] = {
					[80595149] = {
						["icon"] = ti,
						["tid"] = "1:462:497",
					},
					[54261303] = {
						["icon"] = ti,
						["tid"] = "1:432:539",
					},
					[61809387] = {
						["icon"] = ti,
						["tid"] = "1:367:527",
					},
					[51530015] = {
						["icon"] = ti,
						["tid"] = "1:408:544",
					},
					[31997212] = {
						["icon"] = ti,
						["tid"] = "1:387:575",
					},
				},
				["Moonglade"] = {
					[45008900] = {
						["info"] = druid,
						["icon"] = "Taxi2",
					},
					[67361543] = {
						["icon"] = ti,
						["tid"] = "1:552:794",
					},
				},
				["Thousand Needles"] = {
					[71895099] = {
						["icon"] = ti,
						["tid"] = "1:611:238",
					},
				},
				["Howling Fjord"] = {
					[43987524] = {
						["icon"] = ti,
						["tid"] = "4:764:328",
					},
					[63242302] = {
						["icon"] = ti,
						["tid"] = "4:875:278",
					},
					[57878253] = {
						["icon"] = ti,
						["tid"] = "4:738:292",
					},
					[16117617] = {
						["icon"] = ti,
						["tid"] = "4:877:400",
					},
				},
				["Dustwallow Marsh"] = {
					[72421529] = {
						["icon"] = ti,
						["tid"] = "1:583:300",
					},
					[51411894] = {
						["icon"] = ti,
						["tid"] = "1:636:330",
					},
				},
				["Badlands"] = {
					[35039930] = {
						["icon"] = ti,
						["tid"] = "2:560:345",
					},
					[36308525] = {
						["icon"] = ti,
						["tid"] = "2:544:344",
					},
					[57927960] = {
						["icon"] = ti,
						["tid"] = "2:515:329",
					},
				},
				["Searing Gorge"] = {
					[68800976] = {
						["icon"] = ti,
						["tid"] = "2:468:326",
					},
					[30866876] = {
						["icon"] = ti,
						["tid"] = "2:466:346",
					},
				},
				["Loch Modan"] = {
					[64274613] = {
						["icon"] = ti,
						["tid"] = "2:573:377",
					},
					[50898484] = {
						["icon"] = ti,
						["tid"] = "2:527:385",
					},
				},
				["Blade's Edge Mountains"] = {
					[61389917] = {
						["icon"] = ti,
						["tid"] = "3:315:656",
					},
					[51007900] = {
						["icon"] = "Taxi2",
						["info"] = special,
					},
					[70403152] = {
						["icon"] = ti,
						["tid"] = "3:418:629",
					},
					[39620124] = {
						["icon"] = ti,
						["tid"] = "3:421:720",
					},
				},
				["The Storm Peaks"] = {
					[28187267] = {
						["icon"] = ti,
						["tid"] = "4:637:814",
					},
					[36336697] = {
						["icon"] = ti,
						["tid"] = "4:573:789",
					},
					[60962351] = {
						["icon"] = ti,
						["tid"] = "4:720:713",
					},
					[74340383] = {
						["icon"] = ti,
						["tid"] = "4:568:672",
					},
					[84552529] = {
						["icon"] = ti,
						["tid"] = "4:619:641",
					},
				},
				["Silithus"] = {
					[32778718] = {
						["icon"] = ti,
						["tid"] = "1:418:209",
					},
				},
				["Shattrath City"] = {
					[40980501] = {
						["icon"] = ti,
						["tid"] = "3:437:328",
					},
				},
				["Sholazar Basin"] = {
					[61371149] = {
						["icon"] = ti,
						["tid"] = "4:244:597",
					},
					[58478382] = {
						["icon"] = ti,
						["tid"] = "4:175:603",
					},
				},
				["Grizzly Hills"] = {
					[26698659] = {
						["icon"] = ti,
						["tid"] = "4:826:537",
					},
					[59109041] = {
						["icon"] = ti,
						["tid"] = "4:729:464",
					},
				},
				["Icecrown"] = {
					[24376808] = {
						["icon"] = ti,
						["tid"] = "4:377:785",
					},
					[78046582] = {
						["icon"] = ti,
						["tid"] = "4:555:639",
					},
					[47806721] = {
						["icon"] = ti,
						["tid"] = "4:278:721",
					},
					[22619520] = {
						["icon"] = ti,
						["tid"] = "4:494:789",
					},
					[72365170] = {
						["icon"] = ti,
						["tid"] = "4:521:655",
					},
				},
				["Vashj'ir"] = {
					[75364483] = {
						["icon"] = ti,
						["tid"] = "2:289:323",
					},
				},
				["Netherstorm"] = {
					[64039782] = {
						["icon"] = ti,
						["tid"] = "3:576:729",
					},
					[66803204] = {
						["icon"] = ti,
						["tid"] = "3:719:720",
					},
					[34858014] = {
						["icon"] = ti,
						["tid"] = "3:628:816",
					},
				},
				["Duskwood"] = {
					[56557759] = {
						["icon"] = ti,
						["tid"] = "2:416:201",
					},
					[44272172] = {
						["icon"] = ti,
						["tid"] = "2:469:208",
					},
				},
				["Ashenvale"] = {
					[43482858] = {
						["icon"] = ti,
						["tid"] = "1:582:610",
					},
					[72090711] = {
						["icon"] = ti,
						["tid"] = "1:463:565",
					},
					[20573870] = {
						["icon"] = ti,
						["tid"] = "1:423:647",
					},
					[47968241] = {
						["icon"] = ti,
						["tid"] = "1:462:603",
					},
					[48558327] = {
						["icon"] = "Taxi2",
						["info"] = special,
					},
					[35996276] = {
						["icon"] = "Taxi2",
						["info"] = special,
					},
				},
				["Ghostlands"] = {
					[67164191] = {
						["icon"] = ti,
						["tid"] = "2:611:726",
					},
				},
				["Zangarmarsh"] = {
					[51411926] = {
						["icon"] = ti,
						["tid"] = "3:375:495",
					},
					[28957018] = {
						["icon"] = ti,
						["tid"] = "3:266:556",
					},
				},
				["Southern Barrens"] = {
					[67781697] = {
						["icon"] = ti,
						["tid"] = "1:544:358",
					},
					[47131348] = {
						["icon"] = ti,
						["tid"] = "1:597:400",
					},
					[10974991] = {
						["icon"] = ti,
						["tid"] = "1:513:473",
					},
				},
				["Kelp'thar Forest"] = {
					[66080846] = {
						["icon"] = ti,
						["tid"] = "2:290:391",
					},
					[31288741] = {
						["icon"] = ti,
						["tid"] = "2:305:414",
					},
				},
				["Western Plaguelands"] = {
					[85062809] = {
						["icon"] = ti,
						["tid"] = "2:475:606",
					},
					[18476306] = {
						["icon"] = ti,
						["tid"] = "2:478:672",
					},
					[52290280] = {
						["icon"] = ti,
						["tid"] = "2:487:638",
					},
				},
				["Winterspring"] = {
					[48640961] = {
						["icon"] = ti,
						["tid"] = "1:645:766",
					},
				},
				["Terokkar Forest"] = {
					[55371483] = {
						["icon"] = ti,
						["tid"] = "3:554:234",
					},
					[65012800] = {
						["icon"] = "Taxi2",
						["info"] = special,
					},
				},
				["Twilight Highlands"] = {
					[57290116] = {
						["icon"] = ti,
						["tid"] = "2:590:429",
					},
					[24825335] = {
						["icon"] = ti,
						["tid"] = "2:562:468",
					},
					[77085868] = {
						["icon"] = ti,
						["tid"] = "2:660:405",
					},
					[28097659] = {
						["icon"] = ti,
						["tid"] = "2:599:464",
					},
					[57661803] = {
						["icon"] = ti,
						["tid"] = "2:621:428",
					},
					[15187193] = {
						["icon"] = ti,
						["tid"] = "2:614:480",
					},
				},
				["Feralas"] = {
					[56803408] = {
						["icon"] = ti,
						["tid"] = "1:447:282",
					},
					[45339212] = {
						["icon"] = ti,
						["tid"] = "1:360:304",
					},
					[16696691] = {
						["icon"] = ti,
						["tid"] = "1:370:358",
					},
					[53951100] = {
						["icon"] = ti,
						["tid"] = "1:389:287",
					},
					[45339212] = {
						["icon"] = "Taxi2",
						["info"] = special,
					},
					[45637826] = {
						["icon"] = "Taxi2",
						["info"] = special,
					},
				},
				["Darkshore"] = {
					[75491987] = {
						["icon"] = ti,
						["tid"] = "1:444:691",
					},
					[17676939] = {
						["icon"] = ti,
						["tid"] = "1:464:794",
					},
					[55350753] = {
						["icon"] = "Taxi2",
						["info"] = special,
					},
					[20017863] = {
						["icon"] = "Taxi2",
						["info"] = special,
					},
					[18908806] = {
						["icon"] = "Taxi2",
						["info"] = special,
					},
					[22707378] = {
						["icon"] = "Taxi2",
						["info"] = special,
					},
					[33117996] = {
						["icon"] = "Taxi2",
						["info"] = special,
					},
				},
				["Crystalsong Forest"] = {
					[80995316] = {
						["icon"] = ti,
						["tid"] = "4:585:566",
					},
				},
				["Stormwind City"] = {
					[30166570] = {
						["info"] = special,
						["icon"] = "Taxi2",
					},
					[72554357] = {
						["icon"] = ti,
						["tid"] = "2:409:266",
					},
				},
				["Redridge Mountains"] = {
					[54670752] = {
						["icon"] = ti,
						["tid"] = "2:524:245",
					},
					[65834371] = {
						["icon"] = ti,
						["tid"] = "2:546:239",
					},
					[53858333] = {
						["icon"] = ti,
						["tid"] = "2:503:246",
					},
				},
				["Blasted Lands"] = {
					[89343646] = {
						["icon"] = ti,
						["tid"] = "2:527:130",
					},
					[21698294] = {
						["icon"] = ti,
						["tid"] = "2:545:188",
					},
				},
				["Isle of Quel'Danas"] = {
					[25137357] = {
						["icon"] = ti,
						["tid"] = "2:582:942",
					},
					[17316972] = {
						["info"] = special,
						["icon"] = "Taxi2",
					},
				},
				["Northern Barrens"] = {
					[70673978] = {
						["icon"] = ti,
						["tid"] = "1:605:450",
					},
				},
				["Dalaran"] = {
					[44941680] = {
						["icon"] = ti,
						["tid"] = "4:522:617",
					},
				},
				["Bloodmyst Isle"] = {
					[53891151] = {
						["icon"] = ti,
						["tid"] = "1:218:824",
					},
				},
				["Teldrassil"] = {
					[88434382] = {
						["icon"] = ti,
						["tid"] = "1:410:832",
					},
					[50450593] = {
						["icon"] = ti,
						["tid"] = "1:410:893",
					},
				},
				["Uldum"] = {
					[64898717] = {
						["icon"] = ti,
						["tid"] = "1:407:47",
					},
					[8363499] = {
						["icon"] = ti,
						["tid"] = "1:418:143",
					},
					[33588979] = {
						["icon"] = ti,
						["tid"] = "1:493:100",
					},
				},
				["Dun Morogh"] = {
					[54423027] = {
						["icon"] = ti,
						["tid"] = "2:480:375",
					},
					[52730651] = {
						["icon"] = ti,
						["tid"] = "2:443:377",
					},
					[52802806] = {
						["info"] = special,
						["icon"] = "Taxi2",
					},
					[16839280] = {
						["info"] = special,
						["icon"] = "Taxi2",
					},
				},
				["Nagrand"] = {
					[75122929] = {
						["icon"] = ti,
						["tid"] = "3:274:255",
					},
				},
			},
		}
		for faction, ft in pairs(data) do
			if prev then
				for zone, zt in pairs(ft) do
					local prevzone = prev[faction] and prev[faction][zone]
					if prevzone then
						for key, keyt in pairs(zt) do
							for pkey, pkeyt in pairs(prevzone) do
								if keyt.tid == pkeyt.tid then
									keyt.icon = pkeyt.icon
									break
								end
							end
						end
					end
				end
			end
			ft.version = 3
		end
		return data
	end
end
