--[[

When WOW fails to detect the SteelSeries WOW mouse, try to re-enable it


StaticPopupDialogs["WOW_MOUSE_NOT_FOUND"] = {
	text = WOW_MOUSE_NOT_FOUND,
	button1 = OKAY,
	OnHide = function(self)
		SetCVar("enableWoWMouse", "0");	
		if ( InterfaceOptionsFrame:IsShown() ) then
			InterfaceOptionsMousePanelWoWMouse:Click();
		end
	end,
	timeout = 0,
	whileDead = 1,
	showAlert = 1,
	hideOnEscape = 1
};




]]

wowmouse = {}
wowmouse.maxtries = 5
wowmouse.try = 0
wowmouse.nextRun = nil
wowmouse.firstRun = true
wowmouse.seconds = 1


-- As long as other addons are loading, we are postponing our check.
--
function wowmouse.OnEvent(self, event)
	if (event == "PLAYER_LOGIN") then
		wowmouse.nextRun = GetTime() + 15
	elseif (event == "ADDON_LOADED") then
		wowmouse.nextRun = GetTime() + 2
	end


end


-------------------------
-- Our Update Handler
function wowmouse.OnUpdate(self)

	if ( wowmouse.nextRun and GetTime() >= wowmouse.nextRun ) then
		wowmouse.seconds = wowmouse.seconds*2
		wowmouse.nextRun = GetTime() + wowmouse.seconds
		if ( wowmouse.firstRun ) then
			--print("WoWMouse: DEBUG: CVAR = " .. GetCVar("enableWoWMouse"))
			print("WoWMouse: DetectWowMouse()")
			SetCVar("enableWoWMouse", "0")
			DetectWowMouse()
			wowmouse.firstRun = nil
			return
		elseif ( StaticPopup_Visible("WOW_MOUSE_NOT_FOUND") ) then
			StaticPopup_Hide("WOW_MOUSE_NOT_FOUND")
			wowmouse.try = wowmouse.try + 1
			--print("WoWMouse: DEBUG: CVAR = " .. GetCVar("enableWoWMouse"))
			print("WoWMouse: Trying to Re-Enable WoW-Mouse (try " .. wowmouse.try .. " of " .. wowmouse.maxtries .. ").")
			SetCVar("enableWoWMouse", "0")
			DetectWowMouse()
		else
			--print("WoWMouse: DEBUG: CVAR = " .. GetCVar("enableWoWMouse"))
			print("WoWMouse: Mouse seems to be working.")
			wowmouse.frame:SetScript("OnUpdate", nil)
			wowmouse.frame:SetScript("OnEvent", nil)
			return
		end

		if ( wowmouse.try == wowmouse.maxtries ) then
			--print("WoWMouse: DEBUG: CVAR = " .. GetCVar("enableWoWMouse"))
			print("WoWMouse: Sorry, failed to re-enable your WoWMouse. This was the last try :(")
			wowmouse.frame:SetScript("OnUpdate", nil)
			wowmouse.frame:SetScript("OnEvent", nil)
		else
			--print("WoWMouse: DEBUG: CVAR = " .. GetCVar("enableWoWMouse"))
			print("WoWMouse: Checking again in " .. wowmouse.seconds .. " seconds.")
		end
	end
end



-- the main frame, for catching events
--
wowmouse.frame = CreateFrame("Frame", "WoWMouse", UIParent)
wowmouse.frame:SetScript("OnEvent", wowmouse.OnEvent)
wowmouse.frame:SetScript("OnUpdate", wowmouse.OnUpdate)
wowmouse.frame:RegisterEvent("ADDON_LOADED")
wowmouse.frame:RegisterEvent("PLAYER_LOGIN")
wowmouse.frame:Show()
