--[[
YAGRA - gear rating addon
Copyright 2010 Adirelle (adirelle@tagada-team.net)
All rights reserved.
--]]

local addonName, addon = ...

local L = setmetatable({}, {
	__index = function(self, key)
		if not key then return end
		local value = tostring(key)
		--[===[@debug@
		addon:Debug('Missing localization phrase: '..value)
		--@end-debug@]===]
		rawset(self, key, value)
		return value
	end
})
addon.L = L

--------------------------------------------------------------------------------
-- Locales from localization system
--------------------------------------------------------------------------------

-- %Localization: yagra
-- THE END OF THE FILE IS UPDATED BY A SCRIPT
-- ANY CHANGE BELOW THESES LINES WILL BE LOST
-- CHANGES SHOULD BE MADE USING http://www.wowace.com/addons/yagra/localization/

-- @noloc[[

------------------------ enUS ------------------------


-- Database.lua
L["%dkB"] = true
L["- database memory usage: %s"] = true
L["- main addon memory usage: %s"] = true
L["- number of loaded records: %d (%d dirty)"] = true
L["- total number of player records: %d"] = true
L["Removed %d |4record:records;."] = true
L["Statistics"] = true
L["not yet loaded"] = true

-- Options.lua
L["%d dirty"] = true
L["Alternative rating"] = true
L["Auto-prune database"] = true
L["Automatically prune the database once a day."] = true
L["Average item level"] = true
L["Characters of level below this value are ignored ; existing records will be removed on database pruning."] = true
L["Chat output"] = true
L["Check this to color scores using a scheme based on item quality colors."] = true
L["Check this to save the score of characters from other realms."] = true
L["Check this to save the score of characters of the opposite faction."] = true
L["Clear database"] = true
L["Configuration"] = true
L["Content tier"] = true
L["Cross faction"] = true
L["Cross realm"] = true
L["Database memory usage"] = true
L["Database"] = true
L["Destroy all saved player records."] = true
L["Display how old the data about a player is."] = true
L["Enable YAGRA"] = true
L["Enable an alternate rating, that uses slightly different weightings for main hand weapons and off-hand weapons / holdables / shields. Gear scores calculated using that rating are marked with a trailing asterisk: *."] = true
L["How many days should player records be kept in database."] = true
L["Memory usage"] = true
L["Minimum level"] = true
L["Number of loaded records"] = true
L["Number of player records"] = true
L["Open the configuration panel."] = true
L["Options"] = true
L["Output a line in the chatframe whenever some player score is updated."] = true
L["Print database statistics"] = true
L["Prune database"] = true
L["Prune outdated records from the database."] = true
L["Query character data from the database."] = true
L["Query database"] = true
L["Retention period (days)"] = true
L["Score / average item level"] = true
L["Score / content tier / average item level"] = true
L["Score / content tier"] = true
L["Score coloring"] = true
L["Score display"] = true
L["Score format"] = true
L["Score"] = true
L["Select how scores should be displayed"] = true
L["Settings"] = true
L["Show player data age"] = true
L["This will definitively destroy all saved data, with no way back. Do you really want to do this ?"] = true
L["This will definitively remove %d record(s) from the database. Do you really want to do this ?"] = true

-- YAGRA.lua
L["%d (PvP)"] = true
L["%d matchs."] = true
L["%dP"] = true
L["%s ago"] = true
L["Bloodthirsty"] = true
L["Crafted blues"] = true
L["D85"] = true
L["Dungeon blues"] = true
L["Gear score: "] = true
L["HD85"] = true
L["HT11"] = true
L["Heroic blues"] = true
L["Heroic tier-11 epics"] = true
L["Leveling stuff"] = true
L["Lvl"] = true
L["More than 20 matchs, please refine your query."] = true
L["T11"] = true
L["Tier-11 epics"] = true
L["Vicious"] = true
L["now"] = true

-- modules/Broker.lua
L["Group"] = true
L["Guild"] = true
L["Last updated"] = true
L["Left-click to change tooltip data"] = true
L["Level"] = true
L["Name"] = true
L["No entries"] = true
L["Recently updated characters"] = true
L["Right-click to open the configuration panel"] = true
L["Show minimap icon"] = true

-- modules/ChatFilter.lua
L["Append level to names"] = true
L["Append score to names"] = true
L["Check to append gear score to character names in chat messages."] = true
L["Check to append level to character names in chat messages."] = true
L["Modified channels"] = true
L["Scores in chat messages"] = true
L["Select channels to enhance with gear score. Note that disabling guild, party and raid setting applies to resp. guild, party and raid members, wherever they speak."] = true
L["System messages"] = true

-- modules/Communication.lua
L["Automatically send player entry updates to raid or guild addon channel."] = true
L["Communication"] = true
L["Enable communications with other players to share your database."] = true
L["Enable"] = true
L["Push updates"] = true
L["Query missing entries"] = true
L["Send query to raid and guild for entries that are not in your database."] = true

-- modules/Scanner.lua
L["Actively scan players in your group."] = true
L["Enable scanning of other players either on demand or automatically."] = true
L["Enable scanning"] = true
L["Scan group"] = true
L["Scanning"] = true

-- modules/Tooltip.lua
L["Alternative item scores"] = true
L["Always"] = true
L["Detailed player tooltip"] = true
L["Display alternative scores (hunter and Titan's Grip) in addition to basic score in item tooltip."] = true
L["Hunter item score: %d"] = true
L["Never"] = true
L["Select when to display all the items of a player, along with their score, in his/her tooltip."] = true
L["Titan's Grip item score: %d"] = true
L["Tooltip"] = true
L["When the alt key is pressed"] = true
L["When the control key is pressed"] = true
L["When the shift key is pressed"] = true


------------------------ frFR ------------------------
local locale = GetLocale()
if locale == 'frFR' then
L["%d (PvP)"] = "%d (JcJ)"
L["%d dirty"] = "%d mis à jour"
L["%d matchs."] = "%d correspondances."
L["%dP"] = "%dJ"
L["%dkB"] = "%dKo"
L["%s ago"] = "il y a %s"
L["- database memory usage: %s"] = " - utilisation mémoire de la base : %s"
L["- main addon memory usage: %s"] = "- utilisation mémoire de l'addon principal : %s"
L["- number of loaded records: %d (%d dirty)"] = "- nombre d'enregisterments chargés : %d (%d mis à jour)"
L["- total number of player records: %d"] = "- nombre total d'enregistrements : %d"
L["Actively scan players in your group."] = "Inspecte activement les personnages de votre groupe."
L["Alternative item scores"] = "Scores alternatifs des objets"
L["Alternative rating"] = "Notation alternative"
L["Always"] = "Toujours"
L["Append level to names"] = "Ajouter les niveaux"
L["Append score to names"] = "Ajouter les scores"
L["Auto-prune database"] = "Nettoyage automatique"
L["Automatically prune the database once a day."] = "Nettoie automatiquement la base de données une fois par jour."
L["Automatically send player entry updates to raid or guild addon channel."] = "Envoie automatiquement les enregistrements mis à jour à la guilde ou au groupe."
L["Average item level"] = "Niveau moyen"
L["Characters of level below this value are ignored ; existing records will be removed on database pruning."] = "Les personnages d'un niveau inférieur à cette valeur sont ignorés ; les enregistrements existants seront supprimés lors du nettoyage de la base."
L["Chat output"] = "Affichage dans la fenêtre de discussions"
L["Check this to color scores using a scheme based on item quality colors."] = "Cochez ceci pour afficher les scores avec une couleur basée sur les couleurs de qualité des objets."
L["Check this to save the score of characters from other realms."] = "Cochez ceci pour enregistrer le score des personnages des autres royaumes."
L["Check this to save the score of characters of the opposite faction."] = "Cochez ceci pour enregistrer le score des personnages de la faction opposée."
L["Check to append gear score to character names in chat messages."] = "Cochez ceci pour ajouter le score au nom des personnages dans les messages de discussion."
L["Check to append level to character names in chat messages."] = "Cochez ceci pour ajouter le niveau au nom des personnages dans les messages de discussion."
L["Clear database"] = "Vider la base de données."
L["Configuration"] = "Configuration"
L["Content tier"] = "Pallier de contenu"
L["Crafted blues"] = "Bleus d'artisanat"
L["Cross faction"] = "Inter-faction"
L["Cross realm"] = "Inter-royaumes"
L["Database"] = "Base de données"
L["Database memory usage"] = "Utilisation mémoire de la base de données"
L["Destroy all saved player records."] = "Supprime les enregistrements de tous les personnages."
L["Detailed player tooltip"] = "Infobulle détaillée"
L["Display alternative scores (hunter and Titan's Grip) in addition to basic score in item tooltip."] = "Affiche les scores alternatifs (chasseur et Titan's Grip) des objets en plus du score basique dans les infobulles d'objet."
L["Display how old the data about a player is."] = "Afficher l'âge des données concernant les personnages."
L["Dungeon blues"] = "Bleus de donjons"
L["Enable YAGRA"] = "Activer YAGRA"
L["Enable an alternate rating, that uses slightly different weightings for main hand weapons and off-hand weapons / holdables / shields. Gear scores calculated using that rating are marked with a trailing asterisk: *."] = "Active une notation alternative, qui utilise une pondération légèrement différente pour l'arme principale et l'objet (arme, bouclier ou autre) tenu en main gauche. Les scores calculés avec cette notation sont marqués par un astérisque: *."
L["Enable scanning"] = "Activer l'inspection"
L["Enable scanning of other players either on demand or automatically."] = "Active l'inspection des autres personnages, qui se fera soit automatiquement soit à la demande."
L["Gear score: "] = "Gear score : "
L["Group"] = "Groupe / raid"
L["Guild"] = "Guilde"
L["How many days should player records be kept in database."] = "Nombre de jours pendant les enregistrements des joueurs sont conservés dans la base de données."
L["Hunter item score: %d"] = "Score de l'objet pour chasseur : %d"
L["Last updated"] = "Dernière mise à jour"
L["Left-click to change tooltip data"] = "Clic gauche pour changer les données de l'infobulle"
L["Level"] = "Niveau"
L["Leveling stuff"] = "Matériel de pexing"
L["Lvl"] = "Pex"
L["Memory usage"] = "Utilisation mémoire"
L["Minimum level"] = "Niveau minimum"
L["Modified channels"] = "Canaux modifiés"
L["More than 20 matchs, please refine your query."] = "Plus de 20 correspondances, veuillez préciser votre recherche."
L["Name"] = "Nom"
L["Never"] = "Jamais"
L["No entries"] = "Aucun résultat"
L["Number of loaded records"] = "Nombre d'enregistrements en mémoire"
L["Number of player records"] = "Nombre d'enregistrements de joueurs"
L["Open the configuration panel."] = "Ouvre le panneau de configuration."
L["Options"] = "Options"
L["Output a line in the chatframe whenever some player score is updated."] = "Ajoute une ligne dans la fenêtre de discussion chaque fois que le score d'un personnage est mis à jour."
L["Print database statistics"] = "Affiche les statistiques de la base de données."
L["Prune database"] = "Nettoyer la base de données"
L["Prune outdated records from the database."] = "Supprime les enregistrements obsolètes de la base de données."
L["Push updates"] = "Envoyer les mises-à-jour"
L["Query character data from the database."] = "Recherche les informations d'un personnage de la base de données."
L["Query database"] = "Consulte la base de données"
L["Query missing entries"] = "Demande les données manquantes"
L["Recently updated characters"] = "Personnage récemment mis à jour"
L["Removed %d |4record:records;."] = "%d |4enregistrement:enregistrements; supprimés."
L["Retention period (days)"] = "Période de rétention (jours)"
L["Right-click to open the configuration panel"] = "Clic-droit pour ouvrir le panneau de configuration."
L["Scan group"] = "Inspecter le groupe"
L["Scanning"] = "Inspection"
L["Score"] = "Score"
L["Score / average item level"] = "Score / niveau moyen"
L["Score / content tier"] = "Score / pallier de contenu"
L["Score / content tier / average item level"] = "Score / pallier de contenu / niveau moyen"
L["Score coloring"] = "Scores en couleur"
L["Score display"] = "Affichage des scores"
L["Score format"] = "Format des scores"
L["Scores in chat messages"] = "Scores dans les messages de discussion"
L["Select channels to enhance with gear score. Note that disabling guild, party and raid setting applies to resp. guild, party and raid members, wherever they speak."] = "Selectionnez les canaux à completer avec les scores. Veuilez noter que désactiver guilde, group et raid s'appliquera également à tous les membres resp. de la guilde, du groupe ou du raid quelque soit le canal."
L["Select how scores should be displayed"] = "Choisissez comment les scores doivent être affichés."
L["Select when to display all the items of a player, along with their score, in his/her tooltip."] = "Sélectionnez quand afficher tous les objets d'un personnage et leur score dans l'infobulle."
L["Send query to raid and guild for entries that are not in your database."] = "Lorsque les informations d'un personnage ne sont pas dans votre base de données, envoyer une requête à votre guilde ou votre groupe."
L["Settings"] = "Réglages"
L["Show player data age"] = "Afficher l'âge des données concernant les personnages."
L["Statistics"] = "Statistiques"
L["System messages"] = "Messages systèmes"
L["This will definitively destroy all saved data, with no way back. Do you really want to do this ?"] = "Cela va définitivement détruire toutes les données enregistrées, sans retour possible. Voulez-vous vraiment le faire ?"
L["This will definitively remove %d record(s) from the database. Do you really want to do this ?"] = "Cela va définitivement détruire %d enregistrements de la base de données, sans retour possible. Voulez-vous vraiment le faire ?"
L["Titan's Grip item score: %d"] = "Score avec Titan's Grip : %s"
L["Tooltip"] = "Infobulle"
L["When the alt key is pressed"] = "Quand la touche ALT est pressée"
L["When the control key is pressed"] = "Quand la touche CONTROL est pressée"
L["When the shift key is pressed"] = "Quand la touche MAJ est pressée"
L["not yet loaded"] = "pas encore chargé"
L["now"] = "maintenant"

------------------------ deDE ------------------------
elseif locale == 'deDE' then
L["%d (PvP)"] = "%d (PvP)"
L["%d matchs."] = "%d Treffer."
L["%dP"] = "%dP"
L["%dkB"] = "%dkB"
L["%s ago"] = "vor %s"
L["- database memory usage: %s"] = "- Datenbank Speicherverbrauch: %s"
L["Always"] = "Immer"
L["Auto-prune database"] = "Datenbank autom. löschen"
L["Automatically prune the database once a day."] = "Datenbank automatisch einmal täglich löschen."
L["Chat output"] = "Chatausgabe"
L["Check this to save the score of characters from other realms."] = "Auswählen um den Score von Spielern anderer Realms zu speichern."
L["Check this to save the score of characters of the opposite faction."] = "Auswählen um den Score von Spielern der anderen Fraktion zu speichern."
L["Clear database"] = "Datenbank löschen"
L["Configuration"] = "Konfiguration"
L["Database"] = "Datenbank"
L["Database memory usage"] = "Datenbank-Speicherverbrauch"
L["Destroy all saved player records."] = "Alle gespeicherten Spieleraufzeichnungen löschen."
L["Detailed player tooltip"] = "Detailierter Spieler-Tooltip"
L["Display how old the data about a player is."] = "Anzeigen wie alt die Daten über einen Spieler sind."
L["Enable YAGRA"] = "YAGRA aktivieren"
L["Enable scanning"] = "Scannen aktivieren"
L["Enable scanning of other players either on demand or automatically."] = "Das Scannen (automatisch oder bei Bedarf) von anderen Spielern aktivieren."
L["Group"] = "Gruppe"
L["Guild"] = "Gilde"
L["How many days should player records be kept in database."] = "Wieviele Tage die Aufzeichnungen von Spielern in der Datenbank behalten werden sollen."
L["Last updated"] = "Zuletzt aktualisiert"
L["Left-click to change tooltip data"] = "Linksklick um Tooltip-Daten zu ändern"
L["Level"] = "Level"
L["Lvl"] = "Lvl"
L["Memory usage"] = "Speicherverbrauch"
L["Minimum level"] = "Mindestlevel"
L["More than 20 matchs, please refine your query."] = "Mehr als 20 Treffer, bitte verfeinere deine Abfrage."
L["Name"] = "Name"
L["Never"] = "Nie"
L["No entries"] = "Keine Einträge"
L["Number of loaded records"] = "Anzahl der geladenen Aufzeichnungen"
L["Open the configuration panel."] = "Das Konfigurationsfenster öffnen."
L["Options"] = "Optionen"
L["Print database statistics"] = "Datenbank-Statistiken ausgeben"
L["Prune database"] = "Datenbank löschen"
L["Right-click to open the configuration panel"] = "Rechtsklick um das Konfigurationsfenster zu öffnen."
L["Scan group"] = "Gruppe scannen"
L["Score"] = "Score"
L["Select how scores should be displayed"] = "Auswählen wie die Scores angezeigt werden sollen."
L["Settings"] = "Einstellungen"
L["Show minimap icon"] = "Minimap-Symbol anzeigen"
L["Statistics"] = "Statistiken"
L["System messages"] = "Systemnachrichten"
L["This will definitively destroy all saved data, with no way back. Do you really want to do this ?"] = "Dies wird alle gespeicherten Daten unwiderruflich löschen. Möchtest du das wirklich tun?"
L["This will definitively remove %d record(s) from the database. Do you really want to do this ?"] = "Dies wird %d Aufzeichnugnen aus der Datenbank unwiderruflich löschen. Möchtest du das wirklich tun?"
L["Tooltip"] = "Tooltip"
L["When the alt key is pressed"] = "Wenn die Alt-Taste gedrückt wird"
L["When the control key is pressed"] = "Wenn die Strg-Taste gedrückt wird"
L["When the shift key is pressed"] = "Wenn die Shift-Taste gedrückt wird"
L["not yet loaded"] = "noch nicht geladen"
L["now"] = "jetzt"

------------------------ esMX ------------------------
-- no translation

------------------------ ruRU ------------------------
elseif locale == 'ruRU' then
L["%d (PvP)"] = "%d (PvP)"
L["%d dirty"] = "%d грязный"
L["%d matchs."] = "%d совпадений"
L["%dP"] = "%dP"
L["%dkB"] = "%dkB"
L["%s ago"] = "%s назад"
L["- database memory usage: %s"] = "- загрузка памяти базой данных: %s"
L["- main addon memory usage: %s"] = "- загрузка памяти аддоном: %s"
L["- number of loaded records: %d (%d dirty)"] = "- количество загруженных записей: %d (%d грязных)"
L["- total number of player records: %d"] = "- всего записей игрока: %d"
L["Actively scan players in your group."] = "Активно сканировать игроков в вашей группе"
L["Alternative item scores"] = "Альтернативные очки предметов"
L["Alternative rating"] = "Альтернативный рейтинг"
L["Always"] = "Всегда"
L["Append level to names"] = "Прилагать уровни к именам"
L["Append score to names"] = "Прилагать очки к именам"
L["Auto-prune database"] = "Автоматически сокращать базу данных"
L["Automatically prune the database once a day."] = "Автоматически сокращать базу данных раз в день."
L["Automatically send player entry updates to raid or guild addon channel."] = [=[Автоматически посылать обновления записей персонажей в рейдовый или гильдийный канал аддона.
(Не рейдовый и гильдийный чат)]=]
L["Average item level"] = "Средний уровень предмета"
L["Characters of level below this value are ignored ; existing records will be removed on database pruning."] = "Персонажи уровнем ниже этого игнорируются при записи информации; существующие записи будут удалены при сокращении базы данных."
L["Chat output"] = "Вывод в чат"
L["Check this to color scores using a scheme based on item quality colors."] = "Пометьте, чтобы окрашивать очки с использованием схемы, учитывающей цвета качества предметов."
L["Check this to save the score of characters from other realms."] = "Пометьте, чтобы сохранять результаты персонажей с других игровых миров."
L["Check this to save the score of characters of the opposite faction."] = "Пометьте, чтобы сохранять результаты персонажей вражеской фракции."
L["Check to append gear score to character names in chat messages."] = "Пометьте, чтобы писать gear score возле имен персонажей в чате."
L["Check to append level to character names in chat messages."] = "Пометьте, чтобы писать уровень возле имен персонажей в чате."
L["Clear database"] = "Очистить базу данных"
L["Configuration"] = "Конфигурация"
L["Content tier"] = "Тир контента"
L["Crafted blues"] = "Изготавливаемая синька"
L["Cross faction"] = "Все фракции"
L["Cross realm"] = "Все игровые миры"
L["Database"] = "База данных"
L["Database memory usage"] = "Загрузка памяти базой данных"
L["Destroy all saved player records."] = "Уничтожить все сохраненные записи игрока."
L["Detailed player tooltip"] = "Детализированное окно подсказки игрока"
L["Display alternative scores (hunter and Titan's Grip) in addition to basic score in item tooltip."] = "Отображать альтернативные очки (охотник и Хватка титана) в дополнение к обычным очкам в окне подсказки предмета."
L["Display how old the data about a player is."] = "Отображать давность информации об игроке."
L["Dungeon blues"] = "Синька из подземелий"
L["Enable YAGRA"] = "Включить YAGRA"
L["Enable an alternate rating, that uses slightly different weightings for main hand weapons and off-hand weapons / holdables / shields. Gear scores calculated using that rating are marked with a trailing asterisk: *."] = "Включить альтернативный рейтинг, который использует немного другие методы оценки для оружия в правой и левой руках, щитов, и орб. Gear score, получаемый с учетом этих рейтингов, помечается звездочкой: *."
L["Enable scanning"] = "Включить сканирование"
L["Enable scanning of other players either on demand or automatically."] = "Включить сканирование других игроков автоматически или по запросу."
L["Gear score: "] = "Gear score:"
L["Group"] = "Группа"
L["Guild"] = "Гильдия"
L["How many days should player records be kept in database."] = "Сколько дней хранить записи об игроке в базе данных."
L["Hunter item score: %d"] = "Очки предметов охотника: %d"
L["Last updated"] = "Последний раз обновлялось"
L["Left-click to change tooltip data"] = "Щелкните левой кнопкой, чтобы изменить информацию в окне подсказки"
L["Level"] = "Уровень"
L["Leveling stuff"] = "Для прокачки уровня"
L["Lvl"] = "Уровень"
L["Memory usage"] = "Загрузка памяти"
L["Minimum level"] = "Минимальный уровень"
L["Modified channels"] = "Модифицированные каналы"
L["More than 20 matchs, please refine your query."] = "Более 20 совпадений, пожалуйста уточните запрос."
L["Name"] = "Имя"
L["Never"] = "Никогда"
L["No entries"] = "Нет записей"
L["Number of loaded records"] = "Количество загруженных записей"
L["Number of player records"] = "Количество записей об игроках"
L["Open the configuration panel."] = "Открыть панель настроек."
L["Options"] = "Опции"
L["Output a line in the chatframe whenever some player score is updated."] = "Выводить сообщение в чат каждый раз, когда очки какого-нибудь игрока обновляются."
L["Print database statistics"] = "Вывести статистику по базе данных"
L["Prune database"] = "Сократить базу данных"
L["Prune outdated records from the database."] = "Удалять устаревшие записи из базы данных."
L["Push updates"] = "Форсировать обновления"
L["Query character data from the database."] = "Запросить информацию о персонаже из базы данных."
L["Query database"] = "Запрос из базы данных"
L["Query missing entries"] = "Запросить недостающие записи"
L["Recently updated characters"] = "Недавно обновленные персонажи"
L["Removed %d |4record:records;."] = "Удалено %d |4запись:записей;."
L["Retention period (days)"] = "Период задержки (дней)"
L["Right-click to open the configuration panel"] = "Щелкните правой кнопкой, чтобы открыть панель настроек"
L["Scan group"] = "Сканировать группу"
L["Scanning"] = "Сканирование"
L["Score"] = "Очки"
L["Score / average item level"] = "Очки / средний уровень предмета"
L["Score / content tier"] = "Очки / тировый контент"
L["Score / content tier / average item level"] = "Очки / тировый контент / средний уровень предмета"
L["Score coloring"] = "Окрашивание очков"
L["Score display"] = "Отображение очков"
L["Score format"] = "Формат очков"
L["Scores in chat messages"] = "Очки в сообщениях в чате"
L["Select channels to enhance with gear score. Note that disabling guild, party and raid setting applies to resp. guild, party and raid members, wherever they speak."] = "Выберите каналы чата, в которых нужно выводить gear score. Примите во внимание, что отключение каналов гильдии, группы, и рейда соответственно отключит информацию о членах гильдии, группы, и рейда в их сообщениях."
L["Select how scores should be displayed"] = "Укажите, как должны отображаться очки"
L["Select when to display all the items of a player, along with their score, in his/her tooltip."] = "Укажите, нужно ли отображать все предметы игрока вместе с очками в окне подсказки."
L["Send query to raid and guild for entries that are not in your database."] = "Послать запрос в рейд и гильдию на записи, которые отсутствуют в вашей базе данных."
L["Settings"] = "Установки"
L["Show player data age"] = "Отображать давность информации об игроке"
L["Statistics"] = "Статистика"
L["System messages"] = "Системные сообщения"
L["This will definitively destroy all saved data, with no way back. Do you really want to do this ?"] = "Это уничтожит абсолютно всю сохраненную информацию, без возможности восстановления. Вы в самом деле хотите это сделать?"
L["This will definitively remove %d record(s) from the database. Do you really want to do this ?"] = "Это уничтожит %d запись(ей) в базе данных. Вы действительно хотите это сделать?"
L["Titan's Grip item score: %d"] = "Очки предмета с учетом Хватки титана: %d"
L["Tooltip"] = "Окно подсказки"
L["When the alt key is pressed"] = "Когда нажата клавиша Alt"
L["When the control key is pressed"] = "Когда нажата клавиша Ctrl"
L["When the shift key is pressed"] = "Когда нажата клавиша Shift"
L["not yet loaded"] = "еще не загружено"
L["now"] = "сейчас"

------------------------ esES ------------------------
-- no translation

------------------------ zhTW ------------------------
elseif locale == 'zhTW' then
L["%d (PvP)"] = "%d (PvP)"
L["%d dirty"] = "%d  dirty"
L["%d matchs."] = " %d  符合"
L["%dP"] = "%dP"
L["%dkB"] = " %dkB"
L["%s ago"] = "%s 之前"
L["- database memory usage: %s"] = "- 資料庫記憶體使用量: %s"
L["- main addon memory usage: %s"] = "- 插件記憶體使用量: %s"
L["- number of loaded records: %d (%d dirty)"] = "- 載入資料筆數: %d (%d dirty)"
L["- total number of player records: %d"] = "- 儲存資料筆數: %d"
L["Actively scan players in your group."] = "主動掃描隊友數據"
L["Alternative item scores"] = "替代裝備評分"
L["Alternative rating"] = "替代裝備評分"
L["Always"] = "始終顯示"
L["Append level to names"] = "將等級附加於姓名"
L["Append score to names"] = "將分數附加於姓名"
L["Auto-prune database"] = "自動重整"
L["Automatically prune the database once a day."] = "每日自動重整資料庫"
L["Automatically send player entry updates to raid or guild addon channel."] = "當角色分數更新時自動於團隊或公會頻道公告"
L["Average item level"] = "平均裝備評分"
L["Characters of level below this value are ignored ; existing records will be removed on database pruning."] = "設定忽略之最低等級，現存數據將於重整後刪除"
L["Chat output"] = "對話輸出"
L["Check this to color scores using a scheme based on item quality colors."] = "根據裝備品質顯示分數顏色"
L["Check this to save the score of characters from other realms."] = "儲存其他伺服器玩家的裝備評分"
L["Check this to save the score of characters of the opposite faction."] = "儲存不同陣營玩家的裝備評分"
L["Check to append gear score to character names in chat messages."] = "將裝備評分附加在聊天頻道的玩家姓名之後"
L["Check to append level to character names in chat messages."] = "將裝備等級附加在聊天頻道的玩家姓名之後"
L["Clear database"] = "清除資料庫"
L["Communication"] = "通訊"
L["Configuration"] = "設置"
L["Content tier"] = "裝備層級"
L["Crafted blues"] = "製造藍裝"
L["Cross faction"] = "跨陣營"
L["Cross realm"] = "跨伺服器"
L["Database"] = "資料庫"
L["Database memory usage"] = "資料庫記憶體使用量"
L["Destroy all saved player records."] = "清除所有儲存數據"
L["Detailed player tooltip"] = "詳細玩家裝備資料"
L["Display alternative scores (hunter and Titan's Grip) in addition to basic score in item tooltip."] = "於指標提示框架中除顯示基本分數外也顯示替代評分 (獵人與泰坦之握)"
L["Display how old the data about a player is."] = "顯示資料獲致時間"
L["Dungeon blues"] = "地域藍裝"
L["Enable"] = "啟用"
L["Enable YAGRA"] = "啟用YAGRA"
L["Enable an alternate rating, that uses slightly different weightings for main hand weapons and off-hand weapons / holdables / shields. Gear scores calculated using that rating are marked with a trailing asterisk: *."] = "啟用替代評分，將對主手、副手、盾牌等裝備給予不同權重。"
L["Enable communications with other players to share your database."] = "啟用與其他玩家的通訊來分享你的資料庫"
L["Enable scanning"] = "啟用掃描"
L["Enable scanning of other players either on demand or automatically."] = "隨需或自動掃描玩家資料"
L["Gear score: "] = "Gear score:"
L["Group"] = "小隊"
L["Guild"] = "公會"
L["How many days should player records be kept in database."] = "資料庫數據保存期限"
L["Hunter item score: %d"] = "獵人裝備評分: %d"
L["Last updated"] = "最後更新"
L["Left-click to change tooltip data"] = "左鍵點擊以改變指標提示數據"
L["Level"] = "等級"
L["Leveling stuff"] = "Leveling stuff" -- Needs review
L["Lvl"] = "等級"
L["Memory usage"] = "記憶體使用量"
L["Minimum level"] = "最低顯示等級"
L["Modified channels"] = "改變輸出頻道"
L["More than 20 matchs, please refine your query."] = "超過20筆符合數據，請重新定義搜尋範圍"
L["Name"] = "姓名"
L["Never"] = "從不顯示"
L["No entries"] = "查無資料"
L["Number of loaded records"] = "載入資料筆數"
L["Number of player records"] = "儲存玩家資料筆數"
L["Open the configuration panel."] = "開啟設置視窗"
L["Options"] = "選項"
L["Output a line in the chatframe whenever some player score is updated."] = "當角色分數更新時在聊天頻道列出"
L["Print database statistics"] = "列出資料庫統計"
L["Prune database"] = "重整資料庫"
L["Prune outdated records from the database."] = "由資料庫移除過期數據"
L["Push updates"] = "自動重整"
L["Query character data from the database."] = "由資料庫查詢玩家數據"
L["Query database"] = "查詢資料庫"
L["Query missing entries"] = "資料補全"
L["Recently updated characters"] = "最近更新的角色"
L["Removed %d |4record:records;."] = "移除 %d |4紀錄:紀錄;"
L["Retention period (days)"] = "保留期限 (天數)"
L["Right-click to open the configuration panel"] = "右鍵點擊開啟設置視窗"
L["Scan group"] = "掃描隊伍"
L["Scanning"] = "掃描"
L["Score"] = "評分"
L["Score / average item level"] = "分數 / 平均物品等級"
L["Score / content tier"] = "分數 / 裝備層級"
L["Score / content tier / average item level"] = "分數 / 裝備層級 / 平均物品等級"
L["Score coloring"] = "分數顏色"
L["Score display"] = "顯示分數"
L["Score format"] = "分數格式"
L["Scores in chat messages"] = "聊天頻道的顯示設定"
L["Select channels to enhance with gear score. Note that disabling guild, party and raid setting applies to resp. guild, party and raid members, wherever they speak."] = "選擇裝備評分輸出的聊天頻道，此設定將覆蓋原本公會、隊伍與團隊頻道的輸出設定"
L["Select how scores should be displayed"] = "顯示裝配評分的顯示格式"
L["Select when to display all the items of a player, along with their score, in his/her tooltip."] = "選擇如何在指標提示框架中顯示玩家裝備的詳細資訊"
L["Send query to raid and guild for entries that are not in your database."] = "向團隊與公會查詢數據補充至資料庫"
L["Settings"] = "設定"
L["Show minimap icon"] = "顯示小地圖圖示"
L["Show player data age"] = "顯示資料擷取時間"
L["Statistics"] = "統計"
L["System messages"] = "系統訊息"
L["This will definitively destroy all saved data, with no way back. Do you really want to do this ?"] = "確認：移除所有數據?"
L["This will definitively remove %d record(s) from the database. Do you really want to do this ?"] = "確認：移除 %d 紀錄?"
L["Titan's Grip item score: %d"] = "泰坦之握裝備分數: %d"
L["Tooltip"] = "指標提示"
L["When the alt key is pressed"] = "按下Alt鍵時顯示"
L["When the control key is pressed"] = "按下Ctrl鍵時顯示"
L["When the shift key is pressed"] = "按下Shift鍵時顯示"
L["not yet loaded"] = "尚未載入"
L["now"] = "現在"

------------------------ zhCN ------------------------
elseif locale == 'zhCN' then
L["%d (PvP)"] = "%d (PvP)"
L["%d dirty"] = "%d  dirty"
L["%d matchs."] = " %d  符合"
L["%dP"] = "%dP"
L["%dkB"] = " %dkB"
L["%s ago"] = "%s 之前"
L["- database memory usage: %s"] = "- 数据库内存使用量: %s"
L["- main addon memory usage: %s"] = "- 插件内存使用量: %s"
L["- number of loaded records: %d (%d dirty)"] = "- 加载数据笔数: %d (%d dirty)"
L["- total number of player records: %d"] = "- 储存数据笔数: %d"
L["Actively scan players in your group."] = "主动扫描队友数据"
L["Alternative item scores"] = "替代装备评分"
L["Alternative rating"] = "替代装备评分"
L["Always"] = "始终显示"
L["Append level to names"] = "将等级附加于姓名"
L["Append score to names"] = "将分数附加于姓名"
L["Auto-prune database"] = "自动重整"
L["Automatically prune the database once a day."] = "每日自动重整数据库"
L["Automatically send player entry updates to raid or guild addon channel."] = "当角色分数更新时自动于团队或公会频道公告"
L["Average item level"] = "平均装备评分"
L["Characters of level below this value are ignored ; existing records will be removed on database pruning."] = "设定忽略之最低等级，现存数据将于重整后删除"
L["Chat output"] = "对话输出"
L["Check this to color scores using a scheme based on item quality colors."] = "根据装备质量显示分数颜色"
L["Check this to save the score of characters from other realms."] = "储存其它服务器玩家的装备评分"
L["Check this to save the score of characters of the opposite faction."] = "储存不同阵营玩家的装备评分"
L["Check to append gear score to character names in chat messages."] = "将装备评分附加在聊天频道的玩家姓名之后"
L["Check to append level to character names in chat messages."] = "将装备等级附加在聊天频道的玩家姓名之后"
L["Clear database"] = "清除数据库"
L["Configuration"] = "设置"
L["Content tier"] = "装备层级"
L["Crafted blues"] = "制造蓝装"
L["Cross faction"] = "跨阵营"
L["Cross realm"] = "跨服务器"
L["Database"] = "数据库"
L["Database memory usage"] = "数据库内存使用量"
L["Destroy all saved player records."] = "清除所有储存数据"
L["Detailed player tooltip"] = "详细玩家装备资料"
L["Display alternative scores (hunter and Titan's Grip) in addition to basic score in item tooltip."] = "于指针提示框架中除显示基本分数外也显示替代评分 (猎人与泰坦之握)"
L["Display how old the data about a player is."] = "显示数据获致时间"
L["Dungeon blues"] = "地域蓝装"
L["Enable YAGRA"] = "启用YAGRA"
L["Enable an alternate rating, that uses slightly different weightings for main hand weapons and off-hand weapons / holdables / shields. Gear scores calculated using that rating are marked with a trailing asterisk: *."] = "启用替代评分，将对主手、副手、盾牌等装备给予不同权重。"
L["Enable scanning"] = "启用扫描"
L["Enable scanning of other players either on demand or automatically."] = "随需或自动扫描玩家数据"
L["Gear score: "] = "Gear score:"
L["Group"] = "小队"
L["Guild"] = "公会"
L["How many days should player records be kept in database."] = "数据库数据保存期限"
L["Hunter item score: %d"] = "猎人装备评分: %d"
L["Last updated"] = "最后更新"
L["Left-click to change tooltip data"] = "左键点击以改变指针提示数据"
L["Level"] = "等级"
L["Lvl"] = "等级"
L["Memory usage"] = "内存使用量"
L["Minimum level"] = "最低显示等级"
L["Modified channels"] = "改变输出频道"
L["More than 20 matchs, please refine your query."] = "超过20笔符合数据，请重新定义搜寻范围"
L["Name"] = "姓名"
L["Never"] = "从不显示"
L["No entries"] = "查无资料"
L["Number of loaded records"] = "加载数据笔数"
L["Number of player records"] = "储存玩家数据笔数"
L["Open the configuration panel."] = "开启设置窗口"
L["Options"] = "选项"
L["Output a line in the chatframe whenever some player score is updated."] = "当角色分数更新时在聊天频道列出"
L["Print database statistics"] = "列出数据库统计"
L["Prune database"] = "重整数据库"
L["Prune outdated records from the database."] = "由数据库移除过期数据"
L["Push updates"] = "自动重整"
L["Query character data from the database."] = "由数据库查询玩家数据"
L["Query database"] = "查询数据库"
L["Query missing entries"] = "资料补全"
L["Recently updated characters"] = "最近更新的角色"
L["Removed %d |4record:records;."] = "移除 %d |4纪录:纪录;"
L["Retention period (days)"] = "保留期限 (天数)"
L["Right-click to open the configuration panel"] = "右键点击开启设置窗口"
L["Scan group"] = "扫描队伍"
L["Scanning"] = "扫描"
L["Score"] = "评分"
L["Score / average item level"] = "分数 / 平均物品等级"
L["Score / content tier"] = "分数 / 装备层级"
L["Score / content tier / average item level"] = "分数 / 装备层级 / 平均物品等级"
L["Score coloring"] = "分数颜色"
L["Score display"] = "显示分数"
L["Score format"] = "分数格式"
L["Scores in chat messages"] = "聊天频道的显示设定"
L["Select channels to enhance with gear score. Note that disabling guild, party and raid setting applies to resp. guild, party and raid members, wherever they speak."] = "选择装备评分输出的聊天频道，此设定将覆盖原本公会、队伍与团队频道的输出设定"
L["Select how scores should be displayed"] = "显示装配评分的显示格式"
L["Select when to display all the items of a player, along with their score, in his/her tooltip."] = "选择如何在指针提示框架中显示玩家装备的详细信息"
L["Send query to raid and guild for entries that are not in your database."] = "向团队与公会查询数据补充至数据库"
L["Settings"] = "设定"
L["Show minimap icon"] = "显示小地图图标"
L["Show player data age"] = "显示数据撷取时间"
L["Statistics"] = "统计"
L["System messages"] = "系统讯息"
L["This will definitively destroy all saved data, with no way back. Do you really want to do this ?"] = "确认：移除所有数据?"
L["This will definitively remove %d record(s) from the database. Do you really want to do this ?"] = "确认：移除 %d 纪录?"
L["Titan's Grip item score: %d"] = "泰坦之握装备分数: %d"
L["Tooltip"] = "指标提示"
L["When the alt key is pressed"] = "按下Alt键时显示"
L["When the control key is pressed"] = "按下Ctrl键时显示"
L["When the shift key is pressed"] = "按下Shift键时显示"
L["not yet loaded"] = "尚未载入"
L["now"] = "现在"

------------------------ koKR ------------------------
elseif locale == 'koKR' then
L["%d (PvP)"] = "%d (PvP)"
L["%d dirty"] = "%d  나쁨"
L["%d matchs."] = "%d 일치."
L["%dP"] = "%dP"
L["%dkB"] = "%dkB"
L["%s ago"] = "%s 이전"
L["- database memory usage: %s"] = "- DB 메모리 사용량: %s"
L["- main addon memory usage: %s"] = "- 주 애드온 메모리 사용량: %s"
L["- number of loaded records: %d (%d dirty)"] = "- 금일 저장된 사용자 수: %d (%d 나쁨)"
L["- total number of player records: %d"] = "- 저장된 모든 사용자 수: %d"
L["Actively scan players in your group."] = "사용을 하게되면 당신의 파티를 조사 합니다."
L["Alternative item scores"] = "대안 아이템 점수"
L["Alternative rating"] = "대안 점수"
L["Always"] = "항상"
L["Append level to names"] = "이름에 레벨 추가"
L["Append score to names"] = "이름에 점수 추가"
L["Auto-prune database"] = "DB 자동 제거"
L["Automatically prune the database once a day."] = "자동으로 데이터 정보를 하루에 한번씩 불필요한 부분을 제거 합니다."
L["Automatically send player entry updates to raid or guild addon channel."] = "자동으로 공격대/길드/사설 채널로 최신 정보를 보냅니다."
L["Average item level"] = "평균 아이템 레벨"
L["Characters of level below this value are ignored ; existing records will be removed on database pruning."] = "캐릭터 레벨의 값 보다 미만은 무시 합니다!; 기존 기록은 데이터 정보에서 제거 됩니다."
L["Chat output"] = "대화창 출력"
L["Check this to color scores using a scheme based on item quality colors."] = "선택 아이템 품질 색상 기반으로 점수 색상을 표시합니다."
L["Check this to save the score of characters from other realms."] = "선택을 하면 다른 서버 캐릭터 점수도 저장 합니다."
L["Check this to save the score of characters of the opposite faction."] = "선택을 하면 상대 진영의 캐릭터 점수를 저장 합니다."
L["Check to append gear score to character names in chat messages."] = "선택을 하면 대화창에서 기어스코어를 표시 할수 있습니다."
L["Check to append level to character names in chat messages."] = "선택을 하면 대화창에서 캐릭터 레벨을 표시 할수 있습니다."
L["Clear database"] = "DB 삭제"
L["Configuration"] = "환경 설정"
L["Content tier"] = "티어템"
L["Crafted blues"] = "제작파템급"
L["Cross faction"] = "상대진영 검사"
L["Cross realm"] = "다른서버 검사"
L["Database"] = "DB"
L["Database memory usage"] = "DB 메모리 사용량"
L["Destroy all saved player records."] = "플레이어들의 저장한 모든 기록을 제거 합니다."
L["Detailed player tooltip"] = "플레이어 튤팁에 세부정보"
L["Display alternative scores (hunter and Titan's Grip) in addition to basic score in item tooltip."] = "아이템 점수를 튤팁으로 표시 합니다."
L["Display how old the data about a player is."] = "데이터가 얼마나 오래되었는지 표시 합니다."
L["Dungeon blues"] = "일던파템급"
L["Enable YAGRA"] = "YAGRA 사용"
L["Enable scanning"] = "검사 사용"
L["Enable scanning of other players either on demand or automatically."] = "여러 플레어어들의 각각의 요구되는 부분을 검사하기 위해 사용 합니다."
L["Gear score: "] = "기어스코어:"
L["Group"] = "그룹"
L["Guild"] = "길드"
L["How many days should player records be kept in database."] = "데이터 정보 기록들을 몇일 동안 유지 할까요?"
L["Hunter item score: %d"] = "사냥꾼 아이템 점수: %d"
L["Last updated"] = "마지막 최신정보"
L["Left-click to change tooltip data"] = "튤팁 정보를 변경하기 위해 왼쪽-클릭"
L["Level"] = "레벨"
L["Leveling stuff"] = "렙업용템급"
L["Memory usage"] = "메모리 사용량"
L["Minimum level"] = "최소 레벨"
L["Modified channels"] = "사설 채널"
L["More than 20 matchs, please refine your query."] = "일치 항목이 20개가 넘으면  쿼리를 개선해 주세요!"
L["Name"] = "이름"
L["Never"] = "절대"
L["No entries"] = "조사 불가"
L["Number of loaded records"] = "기록을 불러올수 있는 갯수"
L["Number of player records"] = "플레이어 기록 수"
L["Open the configuration panel."] = "설정 창 열기"
L["Options"] = "설정"
L["Output a line in the chatframe whenever some player score is updated."] = "플레이어 점수가 갱신 될때 마다 대화창에 출력 합니다."
L["Print database statistics"] = "데이터 정보 통계치를 출력"
L["Prune database"] = "데이터 정보 제거"
L["Prune outdated records from the database."] = "데이터 정보로 부터 기록을 제거 하였습니다."
L["Push updates"] = "최신정보 올리기"
L["Query character data from the database."] = "데이터 정보로 부터 캐릭터 정보를 검색 합니다."
L["Query database"] = "데이터 정보 검색"
L["Query missing entries"] = "검색 실패"
L["Recently updated characters"] = "캐릭터 최신정보 갱신"
L["Removed %d |4record:records;."] = "제거 %d |4기록:기록;"
L["Retention period (days)"] = "보유 기간 (일)"
L["Right-click to open the configuration panel"] = "오른쪽-클릭 으로 설정 창을 열수 있습니다."
L["Scan group"] = "그룹 검사"
L["Scanning"] = "검사중"
L["Score"] = "점수"
L["Score / average item level"] = "점수 / 평균 아이템 레벨"
L["Score / content tier"] = "점수 / 티어"
L["Score / content tier / average item level"] = "점수 / 티어 / 평균 아이템 레벨"
L["Score coloring"] = "점수 색표시"
L["Score display"] = "점수 표시"
L["Score format"] = "점수 형식"
L["Scores in chat messages"] = "대화창 메세지 점수들"
L["Select channels to enhance with gear score. Note that disabling guild, party and raid setting applies to resp. guild, party and raid members, wherever they speak."] = "채널을 선택하여, 길드/파티/공격대원에게 증가된 기코 점수를 표시 합니다."
L["Select how scores should be displayed"] = "점수를 어떤 형식으로 표시 할지 선택합니다."
L["Select when to display all the items of a player, along with their score, in his/her tooltip."] = "선택을 하면, 플레어이어 모든 아이템 점수를 튤팁에 표시 합니다."
L["Send query to raid and guild for entries that are not in your database."] = "당신의 데이터 정보에 없는 자는 길드나 공격대원으로 부터 검색을 송출 합니다."
L["Settings"] = "설정"
L["Show player data age"] = "플레이어 이전 정보 보기"
L["Statistics"] = "통계"
L["System messages"] = "시스템 메세지"
L["This will definitively destroy all saved data, with no way back. Do you really want to do this ?"] = "모든 정보가 제거 됩니다. 정말 하시겠습니까?"
L["This will definitively remove %d record(s) from the database. Do you really want to do this ?"] = "데이터 정보로 부터 %d 기록을 제거 합니다. 정말 하시겠습니까?"
L["Titan's Grip item score: %d"] = "분무전사 아이템 점수: %d"
L["Tooltip"] = "튤팁"
L["When the alt key is pressed"] = "알트 키를 눌렀을때"
L["When the control key is pressed"] = "컨트롤 키를 눌렀을때"
L["When the shift key is pressed"] = "시프트 키를 눌렀을때"
L["not yet loaded"] = "아직 불러오지 못 합니다."
L["now"] = "현재"
end

-- @noloc]]

-- Replace remaining true values by their key
for k,v in pairs(L) do if v == true then L[k] = k end end
